## org.eclipse.jst.jsf.facesconfig.emf.impl
Class DocumentRootImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.jst.jsf.facesconfig.emf.impl.DocumentRootImpl

All Implemented Interfaces:
  DocumentRoot

    public class DocumentRootImpl

extends EObjectImpl
implements DocumentRoot

An implementation of the model object 'Document Root'.

The following features are implemented:

- `Mixed`
- `XMLNS Prefix Map`
- `XSI Schema Location`
- `Absolute Ordering`
- `Action Listener`
- `Application`
- `Application Factory`
- `Attribute`
- `Attribute Class`
- `Attribute Extension`
- `Attribute Name`
- `Behavior`
- `Behavior Class`
- `Behavior Id`
- `Behavior Extension`
- `Component`
- `Component Class`
- `Component Extension`
- `Component Family`
- `Component Type`
- `Converter`
- `Converter Class`
- `Converter For Class`
- `Converter Id`
- `Default Locale`
- `Default Render Kit Id`
- `Default Validators`
- `Default Value`
- `Description`
- `Display Name`
- `Exception Handler Factory`
- `External Context Factory`
- `Faces Config`
- `Faces Context Factory`
- `Facet`
- `Facet Extension`
- `Facet Name`
- `Factory`
- `From Action`
- `From Outcome`
- `From View Id`
- `Icon`
- `If`
- `Key`
- `Key Class`
- `Large Icon`
- `Lifecycle`
- `Lifecycle Factory`
- `List Entries`
- `Locale Config`
- `Managed Bean`
- `Managed Bean Class`
- `Managed Bean Name`
- `Managed Bean Scope`
- `Managed Property`
- `Map Entries`
- `Map Entry`
- `Message Bundle`
- `Name`
- `Navigation Case`
- `Navigation Handler`
- `Navigation Rule`
- `Null Value`
- `Ordering`
- `Ordering Ordering`
- `Others`
- `Partial View Context Factory`
- `Phase Listener`
- `Property`
- `Property Class`
- `Property Extension`
- `Property Name`
- `Property Resolver`
- `Redirect`
- `Redirect View Param`
- `Referenced Bean`
- `Referenced Bean Class`
- `Referenced Bean Name`
- `Renderer`
- `Renderer Class`
- `Renderer Extension`
- `Renderer Type`
- `Render Kit`
- `Render Kit Class`
- `Render Kit Factory`
- `Render Kit Id`
- `Resource Handler`
- `Small Icon`
- `Source Class`
- `State Manager`
- `Suggested Value`
- `Supported Locale`
- `System Event Class`
- `System Event Listener`
- `System Event Listener Class`
- `Tag Handler Delegate Factory`
- `To View Id`
- `Validator`
- `Validator Class`
- `Validator Id`
- `Value`
- `Value Class`
- `Variable Resolver`
- `View Declaration Language Factory`
- `View Handler`
- `Visit Context Factory`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`NotificationChain` `basicSetAbsoluteOrdering(AbsoluteOrderingType newAbsoluteOrdering, NotificationChain msgs)`
`NotificationChain` `basicSetActionListener(ActionListenerType newActionListener, NotificationChain msgs)`
`NotificationChain` `basicSetApplication(ApplicationType newApplication, NotificationChain msgs)`
`NotificationChain` `basicSetApplicationFactory(ApplicationFactoryType newApplicationFactory, NotificationChain msgs)`
`NotificationChain` `basicSetAttribute(AttributeType newAttribute, NotificationChain msgs)`
`NotificationChain` `basicSetAttributeClass(AttributeClassType newAttributeClass, NotificationChain msgs)`
`NotificationChain` `basicSetAttributeExtension(AttributeExtensionType newAttributeExtension, NotificationChain msgs)`
`NotificationChain` `basicSetAttributeName(AttributeNameType newAttributeName, NotificationChain msgs)`
`NotificationChain` `basicSetBehavior(BehaviorType newBehavior, NotificationChain msgs)`
`NotificationChain` `basicSetBehaviorClass(BehaviorClassType newBehaviorClass, NotificationChain msgs)`
`NotificationChain` `basicSetBehaviorExtension(BehaviorExtensionType newBehaviorExtension, NotificationChain msgs)`
`NotificationChain` `basicSetBehaviorId(BehaviorIdType newBehaviorId, NotificationChain msgs)`
`NotificationChain` `basicSetComponent(ComponentType newComponent, NotificationChain msgs)`
`NotificationChain` `basicSetComponentClass(ComponentClassType newComponentClass, NotificationChain msgs)`
`NotificationChain` `basicSetComponentExtension(ComponentExtensionType newComponentExtension, NotificationChain msgs)`
`NotificationChain` `basicSetComponentFamily(ComponentFamilyType newComponentFamily, NotificationChain msgs)`
`NotificationChain` `basicSetComponentType(ComponentTypeType newComponentType, NotificationChain msgs)`
`NotificationChain` `basicSetConverter(ConverterType newConverter, NotificationChain msgs)`
`NotificationChain` `basicSetConverterClass(ConverterClassType newConverterClass, NotificationChain msgs)`
`NotificationChain` `basicSetConverterForClass(ConverterForClassType newConverterForClass, NotificationChain msgs)`
`NotificationChain` `basicSetConverterId(ConverterIdType newConverterId, NotificationChain msgs)`
`NotificationChain` `basicSetDefaultLocale(DefaultLocaleType newDefaultLocale, NotificationChain msgs)`
`NotificationChain` `basicSetDefaultRenderKitId(DefaultRenderKitIdType newDefaultRenderKitId, NotificationChain msgs)`
`NotificationChain` `basicSetDefaultValidators(DefaultValidatorsType newDefaultValidators, NotificationChain msgs)`
`NotificationChain` `basicSetDefaultValue(DefaultValueType newDefaultValue, NotificationChain msgs)`
`NotificationChain` `basicSetDescription(DescriptionType newDescription, NotificationChain msgs)`
`NotificationChain` `basicSetDisplayName(DisplayNameType newDisplayName, NotificationChain msgs)`
`NotificationChain` `basicSetExceptionHandlerFactory(ExceptionHandlerFactoryType newExceptionHandlerFactory, NotificationChain msgs)`
`NotificationChain` `basicSetExternalContextFactory(ExternalContextFactoryType newExternalContextFactory, NotificationChain msgs)`
`NotificationChain` `basicSetFacesConfig(FacesConfigType newFacesConfig, NotificationChain msgs)`
`NotificationChain` `basicSetFacesContextFactory(FacesContextFactoryType newFacesContextFactory, NotificationChain msgs)`
`NotificationChain` `basicSetFacet(FacetType newFacet, NotificationChain msgs)`
`NotificationChain` `basicSetFacetExtension(FacetExtensionType newFacetExtension, NotificationChain msgs)`
`NotificationChain` `basicSetFacetName(FacetNameType newFacetName, NotificationChain msgs)`
`NotificationChain` `basicSetFactory(FactoryType newFactory, NotificationChain msgs)`
`NotificationChain` `basicSetFromAction(FromActionType newFromAction, NotificationChain msgs)`
`NotificationChain` `basicSetFromOutcome(FromOutcomeType newFromOutcome, NotificationChain msgs)`
`NotificationChain` `basicSetFromViewId(FromViewIdType newFromViewId, NotificationChain msgs)`
`NotificationChain` `basicSetIcon(IconType newIcon, NotificationChain msgs)`
`NotificationChain` `basicSetIf(IfType newIf, NotificationChain msgs)`
`NotificationChain` `basicSetKey(KeyType newKey, NotificationChain msgs)`
`NotificationChain` `basicSetKeyClass(KeyClassType newKeyClass, NotificationChain msgs)`
`NotificationChain` `basicSetLargeIcon(LargeIconType newLargeIcon, NotificationChain msgs)`
`NotificationChain` `basicSetLifecycle(LifecycleType newLifecycle, NotificationChain msgs)`
`NotificationChain` `basicSetLifecycleFactory(LifecycleFactoryType newLifecycleFactory, NotificationChain msgs)`
`NotificationChain` `basicSetListEntries(ListEntriesType newListEntries, NotificationChain msgs)`
`NotificationChain` `basicSetLocaleConfig(LocaleConfigType newLocaleConfig, NotificationChain msgs)`
`NotificationChain` `basicSetManagedBean(ManagedBeanType newManagedBean, NotificationChain msgs)`
`NotificationChain` `basicSetManagedBeanClass(ManagedBeanClassType newManagedBeanClass, NotificationChain msgs)`
`NotificationChain` `basicSetManagedBeanName(ManagedBeanNameType newManagedBeanName, NotificationChain msgs)`
`NotificationChain` `basicSetManagedBeanScope(ManagedBeanScopeType newManagedBeanScope, NotificationChain msgs)`
`NotificationChain` `basicSetManagedProperty(ManagedPropertyType newManagedProperty, NotificationChain msgs)`
`NotificationChain` `basicSetMapEntries(MapEntriesType newMapEntries, NotificationChain msgs)`
`NotificationChain` `basicSetMapEntry(MapEntryType newMapEntry, NotificationChain msgs)`
`NotificationChain` `basicSetMessageBundle(MessageBundleType newMessageBundle, NotificationChain msgs)`
`NotificationChain` `basicSetName(NameType newName, NotificationChain msgs)`
`NotificationChain` `basicSetNavigationCase(NavigationCaseType newNavigationCase, NotificationChain msgs)`
`NotificationChain` `basicSetNavigationHandler(NavigationHandlerType newNavigationHandler, NotificationChain msgs)`
`NotificationChain` `basicSetNavigationRule(NavigationRuleType newNavigationRule, NotificationChain msgs)`
`NotificationChain` `basicSetNullValue(NullValueType newNullValue, NotificationChain msgs)`
`NotificationChain` `basicSetOrdering(OrderingType newOrdering, NotificationChain msgs)`
`NotificationChain` `basicSetOrderingOrdering(OrderingOrderingType newOrderingOrdering, NotificationChain msgs)`
`NotificationChain` `basicSetOthers(OrderingOthersType newOthers, NotificationChain msgs)`
`NotificationChain` `basicSetPartialViewContextFactory(PartialViewContextFactoryType newPartialViewContextFactory, NotificationChain msgs)`
`NotificationChain` `basicSetPhaseListener(PhaseListenerType newPhaseListener, NotificationChain msgs)`
`NotificationChain` `basicSetProperty(PropertyType newProperty, NotificationChain msgs)`
`NotificationChain` `basicSetPropertyClass(PropertyClassType newPropertyClass, NotificationChain msgs)`
`NotificationChain` `basicSetPropertyExtension(PropertyExtensionType newPropertyExtension, NotificationChain msgs)`
`NotificationChain` `basicSetPropertyName(PropertyNameType newPropertyName, NotificationChain msgs)`
`NotificationChain` `basicSetPropertyResolver(PropertyResolverType newPropertyResolver, NotificationChain msgs)`
`NotificationChain` `basicSetRedirect(RedirectType newRedirect, NotificationChain msgs)`
`NotificationChain` `basicSetRedirectViewParam(RedirectViewParamType newRedirectViewParam, NotificationChain msgs)`
`NotificationChain` `basicSetReferencedBean(ReferencedBeanType newReferencedBean, NotificationChain msgs)`
`NotificationChain` `basicSetReferencedBeanClass(ReferencedBeanClassType newReferencedBeanClass, NotificationChain msgs)`
`NotificationChain` `basicSetReferencedBeanName(ReferencedBeanNameType newReferencedBeanName, NotificationChain msgs)`
`NotificationChain` `basicSetRenderer(RendererType newRenderer, NotificationChain msgs)`
`NotificationChain` `basicSetRendererClass(RendererClassType newRendererClass, NotificationChain msgs)`
`NotificationChain` `basicSetRendererExtension(RendererExtensionType newRendererExtension, NotificationChain msgs)`
`NotificationChain` `basicSetRendererType(RendererTypeType newRendererType, NotificationChain msgs)`
`NotificationChain` `basicSetRenderKit(RenderKitType newRenderKit, NotificationChain msgs)`
`NotificationChain` `basicSetRenderKitClass(RenderKitClassType newRenderKitClass, NotificationChain msgs)`
`NotificationChain` `basicSetRenderKitFactory(RenderKitFactoryType newRenderKitFactory, NotificationChain msgs)`
`NotificationChain` `basicSetRenderKitId(RenderKitIdType newRenderKitId, NotificationChain msgs)`
`NotificationChain` `basicSetResourceHandler(ResourceHandlerType newResourceHandler, NotificationChain msgs)`
`NotificationChain` `basicSetSmallIcon(SmallIconType newSmallIcon, NotificationChain msgs)`
`NotificationChain` `basicSetSourceClass(SourceClassType newSourceClass, NotificationChain msgs)`
`NotificationChain` `basicSetStateManager(StateManagerType newStateManager, NotificationChain msgs)`
`NotificationChain` `basicSetSuggestedValue(SuggestedValueType newSuggestedValue, NotificationChain msgs)`
`NotificationChain` `basicSetSupportedLocale(SupportedLocaleType newSupportedLocale, NotificationChain msgs)`
`NotificationChain` `basicSetSystemEventClass(SystemEventClassType newSystemEventClass, NotificationChain msgs)`
`NotificationChain` `basicSetSystemEventListener(SystemEventListenerType newSystemEventListener, NotificationChain msgs)`
`NotificationChain` `basicSetSystemEventListenerClass(SystemEventListenerClassType newSystemEventListenerClass, NotificationChain msgs)`
`NotificationChain` `basicSetTagHandlerDelegateFactory(TagHandlerDelegateFactoryType newTagHandlerDelegateFactory, NotificationChain msgs)`
`NotificationChain` `basicSetToViewId(ToViewIdType newToViewId, NotificationChain msgs)`
`NotificationChain` `basicSetValidator(ValidatorType newValidator, NotificationChain msgs)`
`NotificationChain` `basicSetValidatorClass(ValidatorClassType newValidatorClass, NotificationChain msgs)`
`NotificationChain` `basicSetValidatorId(ValidatorIdType newValidatorId, NotificationChain msgs)`
`NotificationChain` `basicSetValue(ValueType newValue, NotificationChain msgs)`
`NotificationChain` `basicSetValueClass(ValueClassType newValueClass, NotificationChain msgs)`
`NotificationChain` `basicSetVariableResolver(VariableResolverType newVariableResolver, NotificationChain msgs)`
`NotificationChain` `basicSetViewDeclarationLanguageFactory(ViewDeclarationLanguageFactoryType newViewDeclarationLanguageFactory, NotificationChain msgs)`
`NotificationChain` `basicSetViewHandler(ViewHandlerType newViewHandler, NotificationChain msgs)`
`NotificationChain` `basicSetVisitContextFactory(VisitContextFactoryType newVisitContextFactory, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`AbsoluteOrderingType` `getAbsoluteOrdering()`
`ActionListenerType` `getActionListener()`
`ApplicationType` `getApplication()`
`ApplicationFactoryType` `getApplicationFactory()`
`AttributeType` `getAttribute()`
`AttributeClassType` `getAttributeClass()`
`AttributeExtensionType` `getAttributeExtension()`
`AttributeNameType` `getAttributeName()`
`BehaviorType` `getBehavior()`
`BehaviorClassType` `getBehaviorClass()`
`BehaviorExtensionType` `getBehaviorExtension()`
`BehaviorIdType` `getBehaviorId()`
`ComponentType` `getComponent()`
`ComponentClassType` `getComponentClass()`
`ComponentExtensionType` `getComponentExtension()`
`ComponentFamilyType` `getComponentFamily()`
`ComponentTypeType` `getComponentType()`
`ConverterType` `getConverter()`
`ConverterClassType` `getConverterClass()`
`ConverterForClassType` `getConverterForClass()`
`ConverterIdType` `getConverterId()`
`DefaultLocaleType` `getDefaultLocale()`
`DefaultRenderKitIdType` `getDefaultRenderKitId()`
`DefaultValidatorsType` `getDefaultValidators()`
`DefaultValueType` `getDefaultValue()`
`DescriptionType` `getDescription()`
`DisplayNameType` `getDisplayName()`
`ExceptionHandlerFactoryType` `getExceptionHandlerFactory()`
`ExternalContextFactoryType` `getExternalContextFactory()`
`FacesConfigType` `getFacesConfig()`
`FacesContextFactoryType` `getFacesContextFactory()`
`FacetType` `getFacet()`
`FacetExtensionType` `getFacetExtension()`
`FacetNameType` `getFacetName()`
`FactoryType` `getFactory()`
`FromActionType` `getFromAction()`
`FromOutcomeType` `getFromOutcome()`
`FromViewIdType` `getFromViewId()`
`IconType` `getIcon()`
`IfType` `getIf()`
`KeyType` `getKey()`
`KeyClassType` `getKeyClass()`
`LargeIconType` `getLargeIcon()`
`LifecycleType` `getLifecycle()`
`LifecycleFactoryType` `getLifecycleFactory()`
`ListEntriesType` `getListEntries()`
`LocaleConfigType` `getLocaleConfig()`
`ManagedBeanType` `getManagedBean()`
`ManagedBeanClassType` `getManagedBeanClass()`
`ManagedBeanNameType` `getManagedBeanName()`
`ManagedBeanScopeType` `getManagedBeanScope()`
`ManagedPropertyType` `getManagedProperty()`
`MapEntriesType` `getMapEntries()`
`MapEntryType` `getMapEntry()`
`MessageBundleType` `getMessageBundle()`
`FeatureMap` `getMixed()`
`NameType` `getName()`
`NavigationCaseType` `getNavigationCase()`
`NavigationHandlerType` `getNavigationHandler()`
`NavigationRuleType` `getNavigationRule()`
`NullValueType` `getNullValue()`
`OrderingType` `getOrdering()`
`OrderingOrderingType` `getOrderingOrdering()`
`OrderingOthersType` `getOthers()`
`PartialViewContextFactoryType` `getPartialViewContextFactory()`
`PhaseListenerType` `getPhaseListener()`
`PropertyType` `getProperty()`
`PropertyClassType` `getPropertyClass()`
`PropertyExtensionType` `getPropertyExtension()`
`PropertyNameType` `getPropertyName()`
`PropertyResolverType` `getPropertyResolver()`
`RedirectType` `getRedirect()`
`RedirectViewParamType` `getRedirectViewParam()`
`ReferencedBeanType` `getReferencedBean()`
`ReferencedBeanClassType` `getReferencedBeanClass()`
`ReferencedBeanNameType` `getReferencedBeanName()`
`RendererType` `getRenderer()`
`RendererClassType` `getRendererClass()`
`RendererExtensionType` `getRendererExtension()`
`RendererTypeType` `getRendererType()`
`RenderKitType` `getRenderKit()`
`RenderKitClassType` `getRenderKitClass()`
`RenderKitFactoryType` `getRenderKitFactory()`
`RenderKitIdType` `getRenderKitId()`
`ResourceHandlerType` `getResourceHandler()`
`SmallIconType` `getSmallIcon()`
`SourceClassType` `getSourceClass()`
`StateManagerType` `getStateManager()`
`SuggestedValueType` `getSuggestedValue()`
`SupportedLocaleType` `getSupportedLocale()`
`SystemEventClassType` `getSystemEventClass()`
`SystemEventListenerType` `getSystemEventListener()`
`SystemEventListenerClassType` `getSystemEventListenerClass()`
`TagHandlerDelegateFactoryType` `getTagHandlerDelegateFactory()`
`ToViewIdType` `getToViewId()`
`ValidatorType` `getValidator()`
`ValidatorClassType` `getValidatorClass()`
`ValidatorIdType` `getValidatorId()`
`ValueType` `getValue()`
`ValueClassType` `getValueClass()`
`VariableResolverType` `getVariableResolver()`
`ViewDeclarationLanguageFactoryType` `getViewDeclarationLanguageFactory()`
`ViewHandlerType` `getViewHandler()`
`VisitContextFactoryType` `getVisitContextFactory()`
`EMap` `getXMLNSPrefixMap()`
`EMap` `getXSISchemaLocation()`
`void` `setAbsoluteOrdering(AbsoluteOrderingType newAbsoluteOrdering)`
`void` `setActionListener(ActionListenerType newActionListener)`
`void` `setApplication(ApplicationType newApplication)`
`void` `setApplicationFactory(ApplicationFactoryType newApplicationFactory)`
`void` `setAttribute(AttributeType newAttribute)`
`void` `setAttributeClass(AttributeClassType newAttributeClass)`
`void` `setAttributeExtension(AttributeExtensionType newAttributeExtension)`
`void` `setAttributeName(AttributeNameType newAttributeName)`
`void` `setBehavior(BehaviorType newBehavior)`
`void` `setBehaviorClass(BehaviorClassType newBehaviorClass)`
`void` `setBehaviorExtension(BehaviorExtensionType newBehaviorExtension)`
`void` `setBehaviorId(BehaviorIdType newBehaviorId)`
`void` `setComponent(ComponentType newComponent)`
`void` `setComponentClass(ComponentClassType newComponentClass)`
`void` `setComponentExtension(ComponentExtensionType newComponentExtension)`
`void` `setComponentFamily(ComponentFamilyType newComponentFamily)`
`void` `setComponentType(ComponentTypeType newComponentType)`
`void` `setConverter(ConverterType newConverter)`
`void` `setConverterClass(ConverterClassType newConverterClass)`
`void` `setConverterForClass(ConverterForClassType newConverterForClass)`
`void` `setConverterId(ConverterIdType newConverterId)`
`void` `setDefaultLocale(DefaultLocaleType newDefaultLocale)`
`void` `setDefaultRenderKitId(DefaultRenderKitIdType newDefaultRenderKitId)`
`void` `setDefaultValidators(DefaultValidatorsType newDefaultValidators)`
`void` `setDefaultValue(DefaultValueType newDefaultValue)`
`void` `setDescription(DescriptionType newDescription)`
`void` `setDisplayName(DisplayNameType newDisplayName)`
`void` `setExceptionHandlerFactory(ExceptionHandlerFactoryType newExceptionHandlerFactory)`
`void` `setExternalContextFactory(ExternalContextFactoryType newExternalContextFactory)`
`void` `setFacesConfig(FacesConfigType newFacesConfig)`
`void` `setFacesContextFactory(FacesContextFactoryType newFacesContextFactory)`
`void` `setFacet(FacetType newFacet)`
`void` `setFacetExtension(FacetExtensionType newFacetExtension)`
`void` `setFacetName(FacetNameType newFacetName)`
`void` `setFactory(FactoryType newFactory)`
`void` `setFromAction(FromActionType newFromAction)`
`void` `setFromOutcome(FromOutcomeType newFromOutcome)`
`void` `setFromViewId(FromViewIdType newFromViewId)`
`void` `setIcon(IconType newIcon)`
`void` `setIf(IfType newIf)`
`void` `setKey(KeyType newKey)`
`void` `setKeyClass(KeyClassType newKeyClass)`
`void` `setLargeIcon(LargeIconType newLargeIcon)`
`void` `setLifecycle(LifecycleType newLifecycle)`
`void` `setLifecycleFactory(LifecycleFactoryType newLifecycleFactory)`
`void` `setListEntries(ListEntriesType newListEntries)`
`void` `setLocaleConfig(LocaleConfigType newLocaleConfig)`
`void` `setManagedBean(ManagedBeanType newManagedBean)`
`void` `setManagedBeanClass(ManagedBeanClassType newManagedBeanClass)`
`void` `setManagedBeanName(ManagedBeanNameType newManagedBeanName)`
`void` `setManagedBeanScope(ManagedBeanScopeType newManagedBeanScope)`
`void` `setManagedProperty(ManagedPropertyType newManagedProperty)`
`void` `setMapEntries(MapEntriesType newMapEntries)`
`void` `setMapEntry(MapEntryType newMapEntry)`
`void` `setMessageBundle(MessageBundleType newMessageBundle)`
`void` `setName(NameType newName)`
`void` `setNavigationCase(NavigationCaseType newNavigationCase)`
`void` `setNavigationHandler(NavigationHandlerType newNavigationHandler)`
`void` `setNavigationRule(NavigationRuleType newNavigationRule)`
`void` `setNullValue(NullValueType newNullValue)`
`void` `setOrdering(OrderingType newOrdering)`
`void` `setOrderingOrdering(OrderingOrderingType newOrderingOrdering)`
`void` `setOthers(OrderingOthersType newOthers)`
`void` `setPartialViewContextFactory(PartialViewContextFactoryType newPartialViewContextFactory)`
`void` `setPhaseListener(PhaseListenerType newPhaseListener)`
`void` `setProperty(PropertyType newProperty)`
`void` `setPropertyClass(PropertyClassType newPropertyClass)`
`void` `setPropertyExtension(PropertyExtensionType newPropertyExtension)`
`void` `setPropertyName(PropertyNameType newPropertyName)`
`void` `setPropertyResolver(PropertyResolverType newPropertyResolver)`
`void` `setRedirect(RedirectType newRedirect)`
`void` `setRedirectViewParam(RedirectViewParamType newRedirectViewParam)`
`void` `setReferencedBean(ReferencedBeanType newReferencedBean)`
`void` `setReferencedBeanClass(ReferencedBeanClassType newReferencedBeanClass)`
`void` `setReferencedBeanName(ReferencedBeanNameType newReferencedBeanName)`
`void` `setRenderer(RendererType newRenderer)`
`void` `setRendererClass(RendererClassType newRendererClass)`
`void` `setRendererExtension(RendererExtensionType newRendererExtension)`
`void` `setRendererType(RendererTypeType newRendererType)`
`void` `setRenderKit(RenderKitType newRenderKit)`
`void` `setRenderKitClass(RenderKitClassType newRenderKitClass)`
`void` `setRenderKitFactory(RenderKitFactoryType newRenderKitFactory)`
`void` `setRenderKitId(RenderKitIdType newRenderKitId)`
`void` `setResourceHandler(ResourceHandlerType newResourceHandler)`
`void` `setSmallIcon(SmallIconType newSmallIcon)`
`void` `setSourceClass(SourceClassType newSourceClass)`
`void` `setStateManager(StateManagerType newStateManager)`
`void` `setSuggestedValue(SuggestedValueType newSuggestedValue)`
`void` `setSupportedLocale(SupportedLocaleType newSupportedLocale)`
`void` `setSystemEventClass(SystemEventClassType newSystemEventClass)`
`void` `setSystemEventListener(SystemEventListenerType newSystemEventListener)`
`void` `setSystemEventListenerClass(SystemEventListenerClassType newSystemEventListenerClass)`
`void` `setTagHandlerDelegateFactory(TagHandlerDelegateFactoryType newTagHandlerDelegateFactory)`
`void` `setToViewId(ToViewIdType newToViewId)`
`void` `setValidator(ValidatorType newValidator)`
`void` `setValidatorClass(ValidatorClassType newValidatorClass)`
`void` `setValidatorId(ValidatorIdType newValidatorId)`
`void` `setValue(ValueType newValue)`
`void` `setValueClass(ValueClassType newValueClass)`
`void` `setVariableResolver(VariableResolverType newVariableResolver)`
`void` `setViewDeclarationLanguageFactory(ViewDeclarationLanguageFactoryType newViewDeclarationLanguageFactory)`
`void` `setViewHandler(ViewHandlerType newViewHandler)`
`void` `setVisitContextFactory(VisitContextFactoryType newVisitContextFactory)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getMixed

    public FeatureMap getMixed()

  Specified by:
    `getMixed` in interface `DocumentRoot`
  Returns:
    the value of the 'Mixed' attribute list.
  See Also:
    `FacesConfigPackage.getDocumentRoot_Mixed()`

### getXMLNSPrefixMap

    public EMap getXMLNSPrefixMap()

  Specified by:
    `getXMLNSPrefixMap` in interface `DocumentRoot`
  Returns:
    the value of the 'XMLNS Prefix Map' map.
  See Also:
    `FacesConfigPackage.getDocumentRoot_XMLNSPrefixMap()`

### getXSISchemaLocation

    public EMap getXSISchemaLocation()

  Specified by:
    `getXSISchemaLocation` in interface `DocumentRoot`
  Returns:
    the value of the 'XSI Schema Location' map.
  See Also:
    `FacesConfigPackage.getDocumentRoot_XSISchemaLocation()`

### getAbsoluteOrdering

    public AbsoluteOrderingType getAbsoluteOrdering()

  Specified by:
    `getAbsoluteOrdering` in interface `DocumentRoot`
  Returns:
    the value of the 'Absolute Ordering' containment reference.
  See Also:
    `DocumentRoot.setAbsoluteOrdering(AbsoluteOrderingType)`, `FacesConfigPackage.getDocumentRoot_AbsoluteOrdering()`

### basicSetAbsoluteOrdering

    public NotificationChain basicSetAbsoluteOrdering(AbsoluteOrderingType newAbsoluteOrdering,
                                                      NotificationChain msgs)

  Parameters:
    `newAbsoluteOrdering` -
    `msgs` -
  Returns:
    NotficationChain

### setAbsoluteOrdering

    public void setAbsoluteOrdering(AbsoluteOrderingType newAbsoluteOrdering)

  Specified by:
    `setAbsoluteOrdering` in interface `DocumentRoot`
  Parameters:
    `newAbsoluteOrdering` - the new value of the 'Absolute Ordering' containment reference.
  See Also:
    `DocumentRoot.getAbsoluteOrdering()`

### getActionListener

    public ActionListenerType getActionListener()

  Specified by:
    `getActionListener` in interface `DocumentRoot`
  Returns:
    the value of the 'Action Listener' containment reference.
  See Also:
    `DocumentRoot.setActionListener(ActionListenerType)`, `FacesConfigPackage.getDocumentRoot_ActionListener()`

### basicSetActionListener

    public NotificationChain basicSetActionListener(ActionListenerType newActionListener,
                                                    NotificationChain msgs)

  Parameters:
    `newActionListener` -
    `msgs` -
  Returns:
    the notification chain

### setActionListener

    public void setActionListener(ActionListenerType newActionListener)

  Specified by:
    `setActionListener` in interface `DocumentRoot`
  Parameters:
    `newActionListener` - the new value of the 'Action Listener' containment reference.
  See Also:
    `DocumentRoot.getActionListener()`

### getApplication

    public ApplicationType getApplication()

  Specified by:
    `getApplication` in interface `DocumentRoot`
  Returns:
    the value of the 'Application' containment reference.
  See Also:
    `DocumentRoot.setApplication(ApplicationType)`, `FacesConfigPackage.getDocumentRoot_Application()`

### basicSetApplication

    public NotificationChain basicSetApplication(ApplicationType newApplication,
                                                 NotificationChain msgs)

  Parameters:
    `newApplication` -
    `msgs` -
  Returns:
    the notification chain

### setApplication

    public void setApplication(ApplicationType newApplication)

  Specified by:
    `setApplication` in interface `DocumentRoot`
  Parameters:
    `newApplication` - the new value of the 'Application' containment reference.
  See Also:
    `DocumentRoot.getApplication()`

### getApplicationFactory

    public ApplicationFactoryType getApplicationFactory()

  Specified by:
    `getApplicationFactory` in interface `DocumentRoot`
  Returns:
    the value of the 'Application Factory' containment reference.
  See Also:
    `DocumentRoot.setApplicationFactory(ApplicationFactoryType)`, `FacesConfigPackage.getDocumentRoot_ApplicationFactory()`

### basicSetApplicationFactory

    public NotificationChain basicSetApplicationFactory(ApplicationFactoryType newApplicationFactory,
                                                        NotificationChain msgs)

  Parameters:
    `newApplicationFactory` -
    `msgs` -
  Returns:
    the notification chain

### setApplicationFactory

    public void setApplicationFactory(ApplicationFactoryType newApplicationFactory)

  Specified by:
    `setApplicationFactory` in interface `DocumentRoot`
  Parameters:
    `newApplicationFactory` - the new value of the 'Application Factory' containment reference.
  See Also:
    `DocumentRoot.getApplicationFactory()`

### getAttribute

    public AttributeType getAttribute()

  Specified by:
    `getAttribute` in interface `DocumentRoot`
  Returns:
    the value of the 'Attribute' containment reference.
  See Also:
    `DocumentRoot.setAttribute(AttributeType)`, `FacesConfigPackage.getDocumentRoot_Attribute()`

### basicSetAttribute

    public NotificationChain basicSetAttribute(AttributeType newAttribute,
                                               NotificationChain msgs)

  Parameters:
    `newAttribute` -
    `msgs` -
  Returns:
    the notification chain

### setAttribute

    public void setAttribute(AttributeType newAttribute)

  Specified by:
    `setAttribute` in interface `DocumentRoot`
  Parameters:
    `newAttribute` - the new value of the 'Attribute' containment reference.
  See Also:
    `DocumentRoot.getAttribute()`

### getAttributeClass

    public AttributeClassType getAttributeClass()

  Specified by:
    `getAttributeClass` in interface `DocumentRoot`
  Returns:
    the value of the 'Attribute Class' containment reference.
  See Also:
    `DocumentRoot.setAttributeClass(AttributeClassType)`, `FacesConfigPackage.getDocumentRoot_AttributeClass()`

### basicSetAttributeClass

    public NotificationChain basicSetAttributeClass(AttributeClassType newAttributeClass,
                                                    NotificationChain msgs)

  Parameters:
    `newAttributeClass` -
    `msgs` -
  Returns:
    the notification chain

### setAttributeClass

    public void setAttributeClass(AttributeClassType newAttributeClass)

  Specified by:
    `setAttributeClass` in interface `DocumentRoot`
  Parameters:
    `newAttributeClass` - the new value of the 'Attribute Class' containment reference.
  See Also:
    `DocumentRoot.getAttributeClass()`

### getAttributeExtension

    public AttributeExtensionType getAttributeExtension()

  Specified by:
    `getAttributeExtension` in interface `DocumentRoot`
  Returns:
    the value of the 'Attribute Extension' containment reference.
  See Also:
    `DocumentRoot.setAttributeExtension(AttributeExtensionType)`, `FacesConfigPackage.getDocumentRoot_AttributeExtension()`

### basicSetAttributeExtension

    public NotificationChain basicSetAttributeExtension(AttributeExtensionType newAttributeExtension,
                                                        NotificationChain msgs)

  Parameters:
    `newAttributeExtension` -
    `msgs` -
  Returns:
    the notification chiain

### setAttributeExtension

    public void setAttributeExtension(AttributeExtensionType newAttributeExtension)

  Specified by:
    `setAttributeExtension` in interface `DocumentRoot`
  Parameters:
    `newAttributeExtension` - the new value of the 'Attribute Extension' containment reference.
  See Also:
    `DocumentRoot.getAttributeExtension()`

### getAttributeName

    public AttributeNameType getAttributeName()

  Specified by:
    `getAttributeName` in interface `DocumentRoot`
  Returns:
    the value of the 'Attribute Name' containment reference.
  See Also:
    `DocumentRoot.setAttributeName(AttributeNameType)`, `FacesConfigPackage.getDocumentRoot_AttributeName()`

### basicSetAttributeName

    public NotificationChain basicSetAttributeName(AttributeNameType newAttributeName,
                                                   NotificationChain msgs)

  Parameters:
    `newAttributeName` -
    `msgs` -
  Returns:
    the notification chain

### setAttributeName

    public void setAttributeName(AttributeNameType newAttributeName)

  Specified by:
    `setAttributeName` in interface `DocumentRoot`
  Parameters:
    `newAttributeName` - the new value of the 'Attribute Name' containment reference.
  See Also:
    `DocumentRoot.getAttributeName()`

### getBehavior

    public BehaviorType getBehavior()

  Specified by:
    `getBehavior` in interface `DocumentRoot`
  Returns:
    the value of the 'Behavior' containment reference.
  See Also:
    `DocumentRoot.setBehavior(BehaviorType)`, `FacesConfigPackage.getDocumentRoot_Behavior()`

### basicSetBehavior

    public NotificationChain basicSetBehavior(BehaviorType newBehavior,
                                              NotificationChain msgs)

  Parameters:
    `newBehavior` -
    `msgs` - NotificationChain
  Returns:

### setBehavior

    public void setBehavior(BehaviorType newBehavior)

  Specified by:
    `setBehavior` in interface `DocumentRoot`
  Parameters:
    `newBehavior` - the new value of the 'Behavior' containment reference.
  See Also:
    `DocumentRoot.getBehavior()`

### getBehaviorClass

    public BehaviorClassType getBehaviorClass()

  Specified by:
    `getBehaviorClass` in interface `DocumentRoot`
  Returns:
    the value of the 'Behavior Class' containment reference.
  See Also:
    `DocumentRoot.setBehaviorClass(BehaviorClassType)`, `FacesConfigPackage.getDocumentRoot_BehaviorClass()`

### basicSetBehaviorClass

    public NotificationChain basicSetBehaviorClass(BehaviorClassType newBehaviorClass,
                                                   NotificationChain msgs)

  Parameters:
    `newBehaviorClass` -
    `msgs` -
  Returns:
    NotificationChain

### setBehaviorClass

    public void setBehaviorClass(BehaviorClassType newBehaviorClass)

  Specified by:
    `setBehaviorClass` in interface `DocumentRoot`
  Parameters:
    `newBehaviorClass` - the new value of the 'Behavior Class' containment reference.
  See Also:
    `DocumentRoot.getBehaviorClass()`

### getBehaviorId

    public BehaviorIdType getBehaviorId()

  Specified by:
    `getBehaviorId` in interface `DocumentRoot`
  Returns:
    the value of the 'Behavior Id' containment reference.
  See Also:
    `DocumentRoot.setBehaviorId(BehaviorIdType)`, `FacesConfigPackage.getDocumentRoot_BehaviorId()`

### basicSetBehaviorId

    public NotificationChain basicSetBehaviorId(BehaviorIdType newBehaviorId,
                                                NotificationChain msgs)

  Parameters:
    `newBehaviorId` -
    `msgs` -
  Returns:
    NotificationChain

### setBehaviorId

    public void setBehaviorId(BehaviorIdType newBehaviorId)

  Specified by:
    `setBehaviorId` in interface `DocumentRoot`
  Parameters:
    `newBehaviorId` - the new value of the 'Behavior Id' containment reference.
  See Also:
    `DocumentRoot.getBehaviorId()`

### getBehaviorExtension

    public BehaviorExtensionType getBehaviorExtension()

  Specified by:
    `getBehaviorExtension` in interface `DocumentRoot`
  Returns:
    the value of the 'Behavior Extension' containment reference.
  See Also:
    `DocumentRoot.setBehaviorExtension(BehaviorExtensionType)`, `FacesConfigPackage.getDocumentRoot_BehaviorExtension()`

### basicSetBehaviorExtension

    public NotificationChain basicSetBehaviorExtension(BehaviorExtensionType newBehaviorExtension,
                                                       NotificationChain msgs)

  Parameters:
    `newBehaviorExtension` -
    `msgs` -
  Returns:
    NotificationChain

### setBehaviorExtension

    public void setBehaviorExtension(BehaviorExtensionType newBehaviorExtension)

  Specified by:
    `setBehaviorExtension` in interface `DocumentRoot`
  Parameters:
    `newBehaviorExtension` - the new value of the 'Behavior Extension' containment reference.
  See Also:
    `DocumentRoot.getBehaviorExtension()`

### getComponent

    public ComponentType getComponent()

  Specified by:
    `getComponent` in interface `DocumentRoot`
  Returns:
    the value of the 'Component' containment reference.
  See Also:
    `DocumentRoot.setComponent(ComponentType)`, `FacesConfigPackage.getDocumentRoot_Component()`

### basicSetComponent

    public NotificationChain basicSetComponent(ComponentType newComponent,
                                               NotificationChain msgs)

  Parameters:
    `newComponent` -
    `msgs` -
  Returns:
    the notification chain

### setComponent

    public void setComponent(ComponentType newComponent)

  Specified by:
    `setComponent` in interface `DocumentRoot`
  Parameters:
    `newComponent` - the new value of the 'Component' containment reference.
  See Also:
    `DocumentRoot.getComponent()`

### getComponentClass

    public ComponentClassType getComponentClass()

  Specified by:
    `getComponentClass` in interface `DocumentRoot`
  Returns:
    the value of the 'Component Class' containment reference.
  See Also:
    `DocumentRoot.setComponentClass(ComponentClassType)`, `FacesConfigPackage.getDocumentRoot_ComponentClass()`

### basicSetComponentClass

    public NotificationChain basicSetComponentClass(ComponentClassType newComponentClass,
                                                    NotificationChain msgs)

  Parameters:
    `newComponentClass` -
    `msgs` -
  Returns:
    the notification chain

### setComponentClass

    public void setComponentClass(ComponentClassType newComponentClass)

  Specified by:
    `setComponentClass` in interface `DocumentRoot`
  Parameters:
    `newComponentClass` - the new value of the 'Component Class' containment reference.
  See Also:
    `DocumentRoot.getComponentClass()`

### getComponentExtension

    public ComponentExtensionType getComponentExtension()

  Specified by:
    `getComponentExtension` in interface `DocumentRoot`
  Returns:
    the value of the 'Component Extension' containment reference.
  See Also:
    `DocumentRoot.setComponentExtension(ComponentExtensionType)`, `FacesConfigPackage.getDocumentRoot_ComponentExtension()`

### basicSetComponentExtension

    public NotificationChain basicSetComponentExtension(ComponentExtensionType newComponentExtension,
                                                        NotificationChain msgs)

  Parameters:
    `newComponentExtension` -
    `msgs` -
  Returns:
    the notification chain

### setComponentExtension

    public void setComponentExtension(ComponentExtensionType newComponentExtension)

  Specified by:
    `setComponentExtension` in interface `DocumentRoot`
  Parameters:
    `newComponentExtension` - the new value of the 'Component Extension' containment reference.
  See Also:
    `DocumentRoot.getComponentExtension()`

### getComponentFamily

    public ComponentFamilyType getComponentFamily()

  Specified by:
    `getComponentFamily` in interface `DocumentRoot`
  Returns:
    the value of the 'Component Family' containment reference.
  See Also:
    `DocumentRoot.setComponentFamily(ComponentFamilyType)`, `FacesConfigPackage.getDocumentRoot_ComponentFamily()`

### basicSetComponentFamily

    public NotificationChain basicSetComponentFamily(ComponentFamilyType newComponentFamily,
                                                     NotificationChain msgs)

  Parameters:
    `newComponentFamily` -
    `msgs` -
  Returns:
    the notification chain

### setComponentFamily

    public void setComponentFamily(ComponentFamilyType newComponentFamily)

  Specified by:
    `setComponentFamily` in interface `DocumentRoot`
  Parameters:
    `newComponentFamily` - the new value of the 'Component Family' containment reference.
  See Also:
    `DocumentRoot.getComponentFamily()`

### getComponentType

    public ComponentTypeType getComponentType()

  Specified by:
    `getComponentType` in interface `DocumentRoot`
  Returns:
    the value of the 'Component Type' containment reference.
  See Also:
    `DocumentRoot.setComponentType(ComponentTypeType)`, `FacesConfigPackage.getDocumentRoot_ComponentType()`

### basicSetComponentType

    public NotificationChain basicSetComponentType(ComponentTypeType newComponentType,
                                                   NotificationChain msgs)

  Parameters:
    `newComponentType` -
    `msgs` -
  Returns:
    the notification chain

### setComponentType

    public void setComponentType(ComponentTypeType newComponentType)

  Specified by:
    `setComponentType` in interface `DocumentRoot`
  Parameters:
    `newComponentType` - the new value of the 'Component Type' containment reference.
  See Also:
    `DocumentRoot.getComponentType()`

### getConverter

    public ConverterType getConverter()

  Specified by:
    `getConverter` in interface `DocumentRoot`
  Returns:
    the value of the 'Converter' containment reference.
  See Also:
    `DocumentRoot.setConverter(ConverterType)`, `FacesConfigPackage.getDocumentRoot_Converter()`

### basicSetConverter

    public NotificationChain basicSetConverter(ConverterType newConverter,
                                               NotificationChain msgs)

  Parameters:
    `newConverter` -
    `msgs` -
  Returns:
    the notification chain

### setConverter

    public void setConverter(ConverterType newConverter)

  Specified by:
    `setConverter` in interface `DocumentRoot`
  Parameters:
    `newConverter` - the new value of the 'Converter' containment reference.
  See Also:
    `DocumentRoot.getConverter()`

### getConverterClass

    public ConverterClassType getConverterClass()

  Specified by:
    `getConverterClass` in interface `DocumentRoot`
  Returns:
    the value of the 'Converter Class' containment reference.
  See Also:
    `DocumentRoot.setConverterClass(ConverterClassType)`, `FacesConfigPackage.getDocumentRoot_ConverterClass()`

### basicSetConverterClass

    public NotificationChain basicSetConverterClass(ConverterClassType newConverterClass,
                                                    NotificationChain msgs)

  Parameters:
    `newConverterClass` -
    `msgs` -
  Returns:
    the notification chain

### setConverterClass

    public void setConverterClass(ConverterClassType newConverterClass)

  Specified by:
    `setConverterClass` in interface `DocumentRoot`
  Parameters:
    `newConverterClass` - the new value of the 'Converter Class' containment reference.
  See Also:
    `DocumentRoot.getConverterClass()`

### getConverterForClass

    public ConverterForClassType getConverterForClass()

  Specified by:
    `getConverterForClass` in interface `DocumentRoot`
  Returns:
    the value of the 'Converter For Class' containment reference.
  See Also:
    `DocumentRoot.setConverterForClass(ConverterForClassType)`, `FacesConfigPackage.getDocumentRoot_ConverterForClass()`

### basicSetConverterForClass

    public NotificationChain basicSetConverterForClass(ConverterForClassType newConverterForClass,
                                                       NotificationChain msgs)

  Parameters:
    `newConverterForClass` -
    `msgs` -
  Returns:
    the notification chain

### setConverterForClass

    public void setConverterForClass(ConverterForClassType newConverterForClass)

  Specified by:
    `setConverterForClass` in interface `DocumentRoot`
  Parameters:
    `newConverterForClass` - the new value of the 'Converter For Class' containment reference.
  See Also:
    `DocumentRoot.getConverterForClass()`

### getConverterId

    public ConverterIdType getConverterId()

  Specified by:
    `getConverterId` in interface `DocumentRoot`
  Returns:
    the value of the 'Converter Id' containment reference.
  See Also:
    `DocumentRoot.setConverterId(ConverterIdType)`, `FacesConfigPackage.getDocumentRoot_ConverterId()`

### basicSetConverterId

    public NotificationChain basicSetConverterId(ConverterIdType newConverterId,
                                                 NotificationChain msgs)

  Parameters:
    `newConverterId` -
    `msgs` -
  Returns:
    the notification chain

### setConverterId

    public void setConverterId(ConverterIdType newConverterId)

  Specified by:
    `setConverterId` in interface `DocumentRoot`
  Parameters:
    `newConverterId` - the new value of the 'Converter Id' containment reference.
  See Also:
    `DocumentRoot.getConverterId()`

### getDefaultLocale

    public DefaultLocaleType getDefaultLocale()

  Specified by:
    `getDefaultLocale` in interface `DocumentRoot`
  Returns:
    the value of the 'Default Locale' containment reference.
  See Also:
    `DocumentRoot.setDefaultLocale(DefaultLocaleType)`, `FacesConfigPackage.getDocumentRoot_DefaultLocale()`

### basicSetDefaultLocale

    public NotificationChain basicSetDefaultLocale(DefaultLocaleType newDefaultLocale,
                                                   NotificationChain msgs)

  Parameters:
    `newDefaultLocale` -
    `msgs` -
  Returns:
    the notification chain

### setDefaultLocale

    public void setDefaultLocale(DefaultLocaleType newDefaultLocale)

  Specified by:
    `setDefaultLocale` in interface `DocumentRoot`
  Parameters:
    `newDefaultLocale` - the new value of the 'Default Locale' containment reference.
  See Also:
    `DocumentRoot.getDefaultLocale()`

### getDefaultRenderKitId

    public DefaultRenderKitIdType getDefaultRenderKitId()

  Specified by:
    `getDefaultRenderKitId` in interface `DocumentRoot`
  Returns:
    the value of the 'Default Render Kit Id' containment reference.
  See Also:
    `DocumentRoot.setDefaultRenderKitId(DefaultRenderKitIdType)`, `FacesConfigPackage.getDocumentRoot_DefaultRenderKitId()`

### basicSetDefaultRenderKitId

    public NotificationChain basicSetDefaultRenderKitId(DefaultRenderKitIdType newDefaultRenderKitId,
                                                        NotificationChain msgs)

  Parameters:
    `newDefaultRenderKitId` -
    `msgs` -
  Returns:
    the notification chain

### setDefaultRenderKitId

    public void setDefaultRenderKitId(DefaultRenderKitIdType newDefaultRenderKitId)

  Specified by:
    `setDefaultRenderKitId` in interface `DocumentRoot`
  Parameters:
    `newDefaultRenderKitId` - the new value of the 'Default Render Kit Id' containment reference.
  See Also:
    `DocumentRoot.getDefaultRenderKitId()`

### getDefaultValidators

    public DefaultValidatorsType getDefaultValidators()

  Specified by:
    `getDefaultValidators` in interface `DocumentRoot`
  Returns:
    the value of the 'Default Validators' containment reference.
  See Also:
    `DocumentRoot.setDefaultValidators(DefaultValidatorsType)`, `FacesConfigPackage.getDocumentRoot_DefaultValidators()`

### basicSetDefaultValidators

    public NotificationChain basicSetDefaultValidators(DefaultValidatorsType newDefaultValidators,
                                                       NotificationChain msgs)

  Parameters:
    `newDefaultValidators` -
    `msgs` -
  Returns:
    NotificationChain

### setDefaultValidators

    public void setDefaultValidators(DefaultValidatorsType newDefaultValidators)

  Specified by:
    `setDefaultValidators` in interface `DocumentRoot`
  Parameters:
    `newDefaultValidators` - the new value of the 'Default Validators' containment reference.
  See Also:
    `DocumentRoot.getDefaultValidators()`

### getDefaultValue

    public DefaultValueType getDefaultValue()

  Specified by:
    `getDefaultValue` in interface `DocumentRoot`
  Returns:
    the value of the 'Default Value' containment reference.
  See Also:
    `DocumentRoot.setDefaultValue(DefaultValueType)`, `FacesConfigPackage.getDocumentRoot_DefaultValue()`

### basicSetDefaultValue

    public NotificationChain basicSetDefaultValue(DefaultValueType newDefaultValue,
                                                  NotificationChain msgs)

  Parameters:
    `newDefaultValue` -
    `msgs` -
  Returns:
    the notification chain

### setDefaultValue

    public void setDefaultValue(DefaultValueType newDefaultValue)

  Specified by:
    `setDefaultValue` in interface `DocumentRoot`
  Parameters:
    `newDefaultValue` - the new value of the 'Default Value' containment reference.
  See Also:
    `DocumentRoot.getDefaultValue()`

### getDescription

    public DescriptionType getDescription()

  Specified by:
    `getDescription` in interface `DocumentRoot`
  Returns:
    the value of the 'Description' containment reference.
  See Also:
    `DocumentRoot.setDescription(DescriptionType)`, `FacesConfigPackage.getDocumentRoot_Description()`

### basicSetDescription

    public NotificationChain basicSetDescription(DescriptionType newDescription,
                                                 NotificationChain msgs)

  Parameters:
    `newDescription` -
    `msgs` -
  Returns:
    the notification chain

### setDescription

    public void setDescription(DescriptionType newDescription)

  Specified by:
    `setDescription` in interface `DocumentRoot`
  Parameters:
    `newDescription` - the new value of the 'Description' containment reference.
  See Also:
    `DocumentRoot.getDescription()`

### getDisplayName

    public DisplayNameType getDisplayName()

  Specified by:
    `getDisplayName` in interface `DocumentRoot`
  Returns:
    the value of the 'Display Name' containment reference.
  See Also:
    `DocumentRoot.setDisplayName(DisplayNameType)`, `FacesConfigPackage.getDocumentRoot_DisplayName()`

### basicSetDisplayName

    public NotificationChain basicSetDisplayName(DisplayNameType newDisplayName,
                                                 NotificationChain msgs)

  Parameters:
    `newDisplayName` -
    `msgs` -
  Returns:
    the notification

### setDisplayName

    public void setDisplayName(DisplayNameType newDisplayName)

  Specified by:
    `setDisplayName` in interface `DocumentRoot`
  Parameters:
    `newDisplayName` - the new value of the 'Display Name' containment reference.
  See Also:
    `DocumentRoot.getDisplayName()`

### getExceptionHandlerFactory

    public ExceptionHandlerFactoryType getExceptionHandlerFactory()

  Specified by:
    `getExceptionHandlerFactory` in interface `DocumentRoot`
  Returns:
    the value of the 'Exception Handler Factory' containment reference.
  See Also:
    `DocumentRoot.setExceptionHandlerFactory(ExceptionHandlerFactoryType)`, `FacesConfigPackage.getDocumentRoot_ExceptionHandlerFactory()`

### basicSetExceptionHandlerFactory

    public NotificationChain basicSetExceptionHandlerFactory(ExceptionHandlerFactoryType newExceptionHandlerFactory,
                                                             NotificationChain msgs)

  Parameters:
    `newExceptionHandlerFactory` -
    `msgs` -
  Returns:
    NotificationChain

### setExceptionHandlerFactory

    public void setExceptionHandlerFactory(ExceptionHandlerFactoryType newExceptionHandlerFactory)

  Specified by:
    `setExceptionHandlerFactory` in interface `DocumentRoot`
  Parameters:
    `newExceptionHandlerFactory` - the new value of the 'Exception Handler Factory' containment reference.
  See Also:
    `DocumentRoot.getExceptionHandlerFactory()`

### getExternalContextFactory

    public ExternalContextFactoryType getExternalContextFactory()

  Specified by:
    `getExternalContextFactory` in interface `DocumentRoot`
  Returns:
    the value of the 'External Context Factory' containment reference.
  See Also:
    `DocumentRoot.setExternalContextFactory(ExternalContextFactoryType)`, `FacesConfigPackage.getDocumentRoot_ExternalContextFactory()`

### basicSetExternalContextFactory

    public NotificationChain basicSetExternalContextFactory(ExternalContextFactoryType newExternalContextFactory,
                                                            NotificationChain msgs)

  Parameters:
    `newExternalContextFactory` -
    `msgs` -
  Returns:
    NotificationChain

### setExternalContextFactory

    public void setExternalContextFactory(ExternalContextFactoryType newExternalContextFactory)

  Specified by:
    `setExternalContextFactory` in interface `DocumentRoot`
  Parameters:
    `newExternalContextFactory` - the new value of the 'External Context Factory' containment reference.
  See Also:
    `DocumentRoot.getExternalContextFactory()`

### getFacesConfig

    public FacesConfigType getFacesConfig()

  Specified by:
    `getFacesConfig` in interface `DocumentRoot`
  Returns:
    the value of the 'Faces Config' containment reference.
  See Also:
    `DocumentRoot.setFacesConfig(FacesConfigType)`, `FacesConfigPackage.getDocumentRoot_FacesConfig()`

### basicSetFacesConfig

    public NotificationChain basicSetFacesConfig(FacesConfigType newFacesConfig,
                                                 NotificationChain msgs)

  Parameters:
    `newFacesConfig` -
    `msgs` -
  Returns:
    the notification chain

### setFacesConfig

    public void setFacesConfig(FacesConfigType newFacesConfig)

  Specified by:
    `setFacesConfig` in interface `DocumentRoot`
  Parameters:
    `newFacesConfig` - the new value of the 'Faces Config' containment reference.
  See Also:
    `DocumentRoot.getFacesConfig()`

### getFacesContextFactory

    public FacesContextFactoryType getFacesContextFactory()

  Specified by:
    `getFacesContextFactory` in interface `DocumentRoot`
  Returns:
    the value of the 'Faces Context Factory' containment reference.
  See Also:
    `DocumentRoot.setFacesContextFactory(FacesContextFactoryType)`, `FacesConfigPackage.getDocumentRoot_FacesContextFactory()`

### basicSetFacesContextFactory

    public NotificationChain basicSetFacesContextFactory(FacesContextFactoryType newFacesContextFactory,
                                                         NotificationChain msgs)

  Parameters:
    `newFacesContextFactory` -
    `msgs` -
  Returns:
    NotificationChain

### setFacesContextFactory

    public void setFacesContextFactory(FacesContextFactoryType newFacesContextFactory)

  Specified by:
    `setFacesContextFactory` in interface `DocumentRoot`
  Parameters:
    `newFacesContextFactory` - the new value of the 'Faces Context Factory' containment reference.
  See Also:
    `DocumentRoot.getFacesContextFactory()`

### getFacet

    public FacetType getFacet()

  Specified by:
    `getFacet` in interface `DocumentRoot`
  Returns:
    the value of the 'Facet' containment reference.
  See Also:
    `DocumentRoot.setFacet(FacetType)`, `FacesConfigPackage.getDocumentRoot_Facet()`

### basicSetFacet

    public NotificationChain basicSetFacet(FacetType newFacet,
                                           NotificationChain msgs)

  Parameters:
    `newFacet` -
    `msgs` -
  Returns:
    the notification chain

### setFacet

    public void setFacet(FacetType newFacet)

  Specified by:
    `setFacet` in interface `DocumentRoot`
  Parameters:
    `newFacet` - the new value of the 'Facet' containment reference.
  See Also:
    `DocumentRoot.getFacet()`

### getFacetExtension

    public FacetExtensionType getFacetExtension()

  Specified by:
    `getFacetExtension` in interface `DocumentRoot`
  Returns:
    the value of the 'Facet Extension' containment reference.
  See Also:
    `DocumentRoot.setFacetExtension(FacetExtensionType)`, `FacesConfigPackage.getDocumentRoot_FacetExtension()`

### basicSetFacetExtension

    public NotificationChain basicSetFacetExtension(FacetExtensionType newFacetExtension,
                                                    NotificationChain msgs)

  Parameters:
    `newFacetExtension` -
    `msgs` -
  Returns:
    the notification chain

### setFacetExtension

    public void setFacetExtension(FacetExtensionType newFacetExtension)

  Specified by:
    `setFacetExtension` in interface `DocumentRoot`
  Parameters:
    `newFacetExtension` - the new value of the 'Facet Extension' containment reference.
  See Also:
    `DocumentRoot.getFacetExtension()`

### getFacetName

    public FacetNameType getFacetName()

  Specified by:
    `getFacetName` in interface `DocumentRoot`
  Returns:
    the value of the 'Facet Name' containment reference.
  See Also:
    `DocumentRoot.setFacetName(FacetNameType)`, `FacesConfigPackage.getDocumentRoot_FacetName()`

### basicSetFacetName

    public NotificationChain basicSetFacetName(FacetNameType newFacetName,
                                               NotificationChain msgs)

  Parameters:
    `newFacetName` -
    `msgs` -
  Returns:
    the notification chain

### setFacetName

    public void setFacetName(FacetNameType newFacetName)

  Specified by:
    `setFacetName` in interface `DocumentRoot`
  Parameters:
    `newFacetName` - the new value of the 'Facet Name' containment reference.
  See Also:
    `DocumentRoot.getFacetName()`

### getFactory

    public FactoryType getFactory()

  Specified by:
    `getFactory` in interface `DocumentRoot`
  Returns:
    the value of the 'Factory' containment reference.
  See Also:
    `DocumentRoot.setFactory(FactoryType)`, `FacesConfigPackage.getDocumentRoot_Factory()`

### basicSetFactory

    public NotificationChain basicSetFactory(FactoryType newFactory,
                                             NotificationChain msgs)

  Parameters:
    `newFactory` -
    `msgs` -
  Returns:
    the notification chain

### setFactory

    public void setFactory(FactoryType newFactory)

  Specified by:
    `setFactory` in interface `DocumentRoot`
  Parameters:
    `newFactory` - the new value of the 'Factory' containment reference.
  See Also:
    `DocumentRoot.getFactory()`

### getFromAction

    public FromActionType getFromAction()

  Specified by:
    `getFromAction` in interface `DocumentRoot`
  Returns:
    the value of the 'From Action' containment reference.
  See Also:
    `DocumentRoot.setFromAction(FromActionType)`, `FacesConfigPackage.getDocumentRoot_FromAction()`

### basicSetFromAction

    public NotificationChain basicSetFromAction(FromActionType newFromAction,
                                                NotificationChain msgs)

  Parameters:
    `newFromAction` -
    `msgs` -
  Returns:
    the notification chain

### setFromAction

    public void setFromAction(FromActionType newFromAction)

  Specified by:
    `setFromAction` in interface `DocumentRoot`
  Parameters:
    `newFromAction` - the new value of the 'From Action' containment reference.
  See Also:
    `DocumentRoot.getFromAction()`

### getFromOutcome

    public FromOutcomeType getFromOutcome()

  Specified by:
    `getFromOutcome` in interface `DocumentRoot`
  Returns:
    the value of the 'From Outcome' containment reference.
  See Also:
    `DocumentRoot.setFromOutcome(FromOutcomeType)`, `FacesConfigPackage.getDocumentRoot_FromOutcome()`

### basicSetFromOutcome

    public NotificationChain basicSetFromOutcome(FromOutcomeType newFromOutcome,
                                                 NotificationChain msgs)

  Parameters:
    `newFromOutcome` -
    `msgs` -
  Returns:
    the notification chain

### setFromOutcome

    public void setFromOutcome(FromOutcomeType newFromOutcome)

  Specified by:
    `setFromOutcome` in interface `DocumentRoot`
  Parameters:
    `newFromOutcome` - the new value of the 'From Outcome' containment reference.
  See Also:
    `DocumentRoot.getFromOutcome()`

### getFromViewId

    public FromViewIdType getFromViewId()

  Specified by:
    `getFromViewId` in interface `DocumentRoot`
  Returns:
    the value of the 'From View Id' containment reference.
  See Also:
    `DocumentRoot.setFromViewId(FromViewIdType)`, `FacesConfigPackage.getDocumentRoot_FromViewId()`

### basicSetFromViewId

    public NotificationChain basicSetFromViewId(FromViewIdType newFromViewId,
                                                NotificationChain msgs)

  Parameters:
    `newFromViewId` -
    `msgs` -
  Returns:
    the notification chain

### setFromViewId

    public void setFromViewId(FromViewIdType newFromViewId)

  Specified by:
    `setFromViewId` in interface `DocumentRoot`
  Parameters:
    `newFromViewId` - the new value of the 'From View Id' containment reference.
  See Also:
    `DocumentRoot.getFromViewId()`

### getIcon

    public IconType getIcon()

  Specified by:
    `getIcon` in interface `DocumentRoot`
  Returns:
    the value of the 'Icon' containment reference.
  See Also:
    `DocumentRoot.setIcon(IconType)`, `FacesConfigPackage.getDocumentRoot_Icon()`

### basicSetIcon

    public NotificationChain basicSetIcon(IconType newIcon,
                                          NotificationChain msgs)

  Parameters:
    `newIcon` -
    `msgs` -
  Returns:
    the notification chain

### setIcon

    public void setIcon(IconType newIcon)

  Specified by:
    `setIcon` in interface `DocumentRoot`
  Parameters:
    `newIcon` - the new value of the 'Icon' containment reference.
  See Also:
    `DocumentRoot.getIcon()`

### getIf

    public IfType getIf()

  Specified by:
    `getIf` in interface `DocumentRoot`
  Returns:
    the value of the 'If' containment reference.
  See Also:
    `DocumentRoot.setIf(IfType)`, `FacesConfigPackage.getDocumentRoot_If()`

### basicSetIf

    public NotificationChain basicSetIf(IfType newIf,
                                        NotificationChain msgs)

  Parameters:
    `newIf` -
    `msgs` -
  Returns:
    NotificationChain

### setIf

    public void setIf(IfType newIf)

  Specified by:
    `setIf` in interface `DocumentRoot`
  Parameters:
    `newIf` - the new value of the 'If' containment reference.
  See Also:
    `DocumentRoot.getIf()`

### getKey

    public KeyType getKey()

  Specified by:
    `getKey` in interface `DocumentRoot`
  Returns:
    the value of the 'Key' containment reference.
  See Also:
    `DocumentRoot.setKey(KeyType)`, `FacesConfigPackage.getDocumentRoot_Key()`

### basicSetKey

    public NotificationChain basicSetKey(KeyType newKey,
                                         NotificationChain msgs)

  Parameters:
    `newKey` -
    `msgs` -
  Returns:
    the notification chiainn

### setKey

    public void setKey(KeyType newKey)

  Specified by:
    `setKey` in interface `DocumentRoot`
  Parameters:
    `newKey` - the new value of the 'Key' containment reference.
  See Also:
    `DocumentRoot.getKey()`

### getKeyClass

    public KeyClassType getKeyClass()

  Specified by:
    `getKeyClass` in interface `DocumentRoot`
  Returns:
    the value of the 'Key Class' containment reference.
  See Also:
    `DocumentRoot.setKeyClass(KeyClassType)`, `FacesConfigPackage.getDocumentRoot_KeyClass()`

### basicSetKeyClass

    public NotificationChain basicSetKeyClass(KeyClassType newKeyClass,
                                              NotificationChain msgs)

  Parameters:
    `newKeyClass` -
    `msgs` -
  Returns:
    the notification chain

### setKeyClass

    public void setKeyClass(KeyClassType newKeyClass)

  Specified by:
    `setKeyClass` in interface `DocumentRoot`
  Parameters:
    `newKeyClass` - the new value of the 'Key Class' containment reference.
  See Also:
    `DocumentRoot.getKeyClass()`

### getLargeIcon

    public LargeIconType getLargeIcon()

  Specified by:
    `getLargeIcon` in interface `DocumentRoot`
  Returns:
    the value of the 'Large Icon' containment reference.
  See Also:
    `DocumentRoot.setLargeIcon(LargeIconType)`, `FacesConfigPackage.getDocumentRoot_LargeIcon()`

### basicSetLargeIcon

    public NotificationChain basicSetLargeIcon(LargeIconType newLargeIcon,
                                               NotificationChain msgs)

  Parameters:
    `newLargeIcon` -
    `msgs` -
  Returns:
    the notification chain

### setLargeIcon

    public void setLargeIcon(LargeIconType newLargeIcon)

  Specified by:
    `setLargeIcon` in interface `DocumentRoot`
  Parameters:
    `newLargeIcon` - the new value of the 'Large Icon' containment reference.
  See Also:
    `DocumentRoot.getLargeIcon()`

### getLifecycle

    public LifecycleType getLifecycle()

  Specified by:
    `getLifecycle` in interface `DocumentRoot`
  Returns:
    the value of the 'Lifecycle' containment reference.
  See Also:
    `DocumentRoot.setLifecycle(LifecycleType)`, `FacesConfigPackage.getDocumentRoot_Lifecycle()`

### basicSetLifecycle

    public NotificationChain basicSetLifecycle(LifecycleType newLifecycle,
                                               NotificationChain msgs)

  Parameters:
    `newLifecycle` -
    `msgs` -
  Returns:
    the notification chain

### setLifecycle

    public void setLifecycle(LifecycleType newLifecycle)

  Specified by:
    `setLifecycle` in interface `DocumentRoot`
  Parameters:
    `newLifecycle` - the new value of the 'Lifecycle' containment reference.
  See Also:
    `DocumentRoot.getLifecycle()`

### getLifecycleFactory

    public LifecycleFactoryType getLifecycleFactory()

  Specified by:
    `getLifecycleFactory` in interface `DocumentRoot`
  Returns:
    the value of the 'Lifecycle Factory' containment reference.
  See Also:
    `DocumentRoot.setLifecycleFactory(LifecycleFactoryType)`, `FacesConfigPackage.getDocumentRoot_LifecycleFactory()`

### basicSetLifecycleFactory

    public NotificationChain basicSetLifecycleFactory(LifecycleFactoryType newLifecycleFactory,
                                                      NotificationChain msgs)

  Parameters:
    `newLifecycleFactory` -
    `msgs` -
  Returns:
    the notification chain

### setLifecycleFactory

    public void setLifecycleFactory(LifecycleFactoryType newLifecycleFactory)

  Specified by:
    `setLifecycleFactory` in interface `DocumentRoot`
  Parameters:
    `newLifecycleFactory` - the new value of the 'Lifecycle Factory' containment reference.
  See Also:
    `DocumentRoot.getLifecycleFactory()`

### getListEntries

    public ListEntriesType getListEntries()

  Specified by:
    `getListEntries` in interface `DocumentRoot`
  Returns:
    the value of the 'List Entries' containment reference.
  See Also:
    `DocumentRoot.setListEntries(ListEntriesType)`, `FacesConfigPackage.getDocumentRoot_ListEntries()`

### basicSetListEntries

    public NotificationChain basicSetListEntries(ListEntriesType newListEntries,
                                                 NotificationChain msgs)

  Parameters:
    `newListEntries` -
    `msgs` -
  Returns:
    the notification chain

### setListEntries

    public void setListEntries(ListEntriesType newListEntries)

  Specified by:
    `setListEntries` in interface `DocumentRoot`
  Parameters:
    `newListEntries` - the new value of the 'List Entries' containment reference.
  See Also:
    `DocumentRoot.getListEntries()`

### getLocaleConfig

    public LocaleConfigType getLocaleConfig()

  Specified by:
    `getLocaleConfig` in interface `DocumentRoot`
  Returns:
    the value of the 'Locale Config' containment reference.
  See Also:
    `DocumentRoot.setLocaleConfig(LocaleConfigType)`, `FacesConfigPackage.getDocumentRoot_LocaleConfig()`

### basicSetLocaleConfig

    public NotificationChain basicSetLocaleConfig(LocaleConfigType newLocaleConfig,
                                                  NotificationChain msgs)

  Parameters:
    `newLocaleConfig` -
    `msgs` -
  Returns:
    the notification chain

### setLocaleConfig

    public void setLocaleConfig(LocaleConfigType newLocaleConfig)

  Specified by:
    `setLocaleConfig` in interface `DocumentRoot`
  Parameters:
    `newLocaleConfig` - the new value of the 'Locale Config' containment reference.
  See Also:
    `DocumentRoot.getLocaleConfig()`

### getManagedBean

    public ManagedBeanType getManagedBean()

  Specified by:
    `getManagedBean` in interface `DocumentRoot`
  Returns:
    the value of the 'Managed Bean' containment reference.
  See Also:
    `DocumentRoot.setManagedBean(ManagedBeanType)`, `FacesConfigPackage.getDocumentRoot_ManagedBean()`

### basicSetManagedBean

    public NotificationChain basicSetManagedBean(ManagedBeanType newManagedBean,
                                                 NotificationChain msgs)

  Parameters:
    `newManagedBean` -
    `msgs` -
  Returns:
    the notification chain

### setManagedBean

    public void setManagedBean(ManagedBeanType newManagedBean)

  Specified by:
    `setManagedBean` in interface `DocumentRoot`
  Parameters:
    `newManagedBean` - the new value of the 'Managed Bean' containment reference.
  See Also:
    `DocumentRoot.getManagedBean()`

### getManagedBeanClass

    public ManagedBeanClassType getManagedBeanClass()

  Specified by:
    `getManagedBeanClass` in interface `DocumentRoot`
  Returns:
    the value of the 'Managed Bean Class' containment reference.
  See Also:
    `DocumentRoot.setManagedBeanClass(ManagedBeanClassType)`, `FacesConfigPackage.getDocumentRoot_ManagedBeanClass()`

### basicSetManagedBeanClass

    public NotificationChain basicSetManagedBeanClass(ManagedBeanClassType newManagedBeanClass,
                                                      NotificationChain msgs)

  Parameters:
    `newManagedBeanClass` -
    `msgs` -
  Returns:
    the notification chain

### setManagedBeanClass

    public void setManagedBeanClass(ManagedBeanClassType newManagedBeanClass)

  Specified by:
    `setManagedBeanClass` in interface `DocumentRoot`
  Parameters:
    `newManagedBeanClass` - the new value of the 'Managed Bean Class' containment reference.
  See Also:
    `DocumentRoot.getManagedBeanClass()`

### getManagedBeanName

    public ManagedBeanNameType getManagedBeanName()

  Specified by:
    `getManagedBeanName` in interface `DocumentRoot`
  Returns:
    the value of the 'Managed Bean Name' containment reference.
  See Also:
    `DocumentRoot.setManagedBeanName(ManagedBeanNameType)`, `FacesConfigPackage.getDocumentRoot_ManagedBeanName()`

### basicSetManagedBeanName

    public NotificationChain basicSetManagedBeanName(ManagedBeanNameType newManagedBeanName,
                                                     NotificationChain msgs)

  Parameters:
    `newManagedBeanName` -
    `msgs` -
  Returns:
    the notification chain

### setManagedBeanName

    public void setManagedBeanName(ManagedBeanNameType newManagedBeanName)

  Specified by:
    `setManagedBeanName` in interface `DocumentRoot`
  Parameters:
    `newManagedBeanName` - the new value of the 'Managed Bean Name' containment reference.
  See Also:
    `DocumentRoot.getManagedBeanName()`

### getManagedBeanScope

    public ManagedBeanScopeType getManagedBeanScope()

  Specified by:
    `getManagedBeanScope` in interface `DocumentRoot`
  Returns:
    the value of the 'Managed Bean Scope' containment reference.
  See Also:
    `DocumentRoot.setManagedBeanScope(ManagedBeanScopeType)`, `FacesConfigPackage.getDocumentRoot_ManagedBeanScope()`

### basicSetManagedBeanScope

    public NotificationChain basicSetManagedBeanScope(ManagedBeanScopeType newManagedBeanScope,
                                                      NotificationChain msgs)

  Parameters:
    `newManagedBeanScope` -
    `msgs` -
  Returns:
    the notification chain

### setManagedBeanScope

    public void setManagedBeanScope(ManagedBeanScopeType newManagedBeanScope)

  Specified by:
    `setManagedBeanScope` in interface `DocumentRoot`
  Parameters:
    `newManagedBeanScope` - the new value of the 'Managed Bean Scope' containment reference.
  See Also:
    `DocumentRoot.getManagedBeanScope()`

### getManagedProperty

    public ManagedPropertyType getManagedProperty()

  Specified by:
    `getManagedProperty` in interface `DocumentRoot`
  Returns:
    the value of the 'Managed Property' containment reference.
  See Also:
    `DocumentRoot.setManagedProperty(ManagedPropertyType)`, `FacesConfigPackage.getDocumentRoot_ManagedProperty()`

### basicSetManagedProperty

    public NotificationChain basicSetManagedProperty(ManagedPropertyType newManagedProperty,
                                                     NotificationChain msgs)

  Parameters:
    `newManagedProperty` -
    `msgs` -
  Returns:
    the notification chain

### setManagedProperty

    public void setManagedProperty(ManagedPropertyType newManagedProperty)

  Specified by:
    `setManagedProperty` in interface `DocumentRoot`
  Parameters:
    `newManagedProperty` - the new value of the 'Managed Property' containment reference.
  See Also:
    `DocumentRoot.getManagedProperty()`

### getMapEntries

    public MapEntriesType getMapEntries()

  Specified by:
    `getMapEntries` in interface `DocumentRoot`
  Returns:
    the value of the 'Map Entries' containment reference.
  See Also:
    `DocumentRoot.setMapEntries(MapEntriesType)`, `FacesConfigPackage.getDocumentRoot_MapEntries()`

### basicSetMapEntries

    public NotificationChain basicSetMapEntries(MapEntriesType newMapEntries,
                                                NotificationChain msgs)

  Parameters:
    `newMapEntries` -
    `msgs` -
  Returns:
    the notification chain

### setMapEntries

    public void setMapEntries(MapEntriesType newMapEntries)

  Specified by:
    `setMapEntries` in interface `DocumentRoot`
  Parameters:
    `newMapEntries` - the new value of the 'Map Entries' containment reference.
  See Also:
    `DocumentRoot.getMapEntries()`

### getMapEntry

    public MapEntryType getMapEntry()

  Specified by:
    `getMapEntry` in interface `DocumentRoot`
  Returns:
    the value of the 'Map Entry' containment reference.
  See Also:
    `DocumentRoot.setMapEntry(MapEntryType)`, `FacesConfigPackage.getDocumentRoot_MapEntry()`

### basicSetMapEntry

    public NotificationChain basicSetMapEntry(MapEntryType newMapEntry,
                                              NotificationChain msgs)

  Parameters:
    `newMapEntry` -
    `msgs` -
  Returns:
    the notification chain

### setMapEntry

    public void setMapEntry(MapEntryType newMapEntry)

  Specified by:
    `setMapEntry` in interface `DocumentRoot`
  Parameters:
    `newMapEntry` - the new value of the 'Map Entry' containment reference.
  See Also:
    `DocumentRoot.getMapEntry()`

### getMessageBundle

    public MessageBundleType getMessageBundle()

  Specified by:
    `getMessageBundle` in interface `DocumentRoot`
  Returns:
    the value of the 'Message Bundle' containment reference.
  See Also:
    `DocumentRoot.setMessageBundle(MessageBundleType)`, `FacesConfigPackage.getDocumentRoot_MessageBundle()`

### basicSetMessageBundle

    public NotificationChain basicSetMessageBundle(MessageBundleType newMessageBundle,
                                                   NotificationChain msgs)

  Parameters:
    `newMessageBundle` -
    `msgs` -
  Returns:
    the notification chain

### setMessageBundle

    public void setMessageBundle(MessageBundleType newMessageBundle)

  Specified by:
    `setMessageBundle` in interface `DocumentRoot`
  Parameters:
    `newMessageBundle` - the new value of the 'Message Bundle' containment reference.
  See Also:
    `DocumentRoot.getMessageBundle()`

### getName

    public NameType getName()

  Specified by:
    `getName` in interface `DocumentRoot`
  Returns:
    the value of the 'Name' containment reference.
  See Also:
    `DocumentRoot.setName(NameType)`, `FacesConfigPackage.getDocumentRoot_Name()`

### basicSetName

    public NotificationChain basicSetName(NameType newName,
                                          NotificationChain msgs)

  Parameters:
    `newName` -
    `msgs` -
  Returns:
    NotificationChain

### setName

    public void setName(NameType newName)

  Specified by:
    `setName` in interface `DocumentRoot`
  Parameters:
    `newName` - the new value of the 'Name' containment reference.
  See Also:
    `DocumentRoot.getName()`

### getNavigationCase

    public NavigationCaseType getNavigationCase()

  Specified by:
    `getNavigationCase` in interface `DocumentRoot`
  Returns:
    the value of the 'Navigation Case' containment reference.
  See Also:
    `DocumentRoot.setNavigationCase(NavigationCaseType)`, `FacesConfigPackage.getDocumentRoot_NavigationCase()`

### basicSetNavigationCase

    public NotificationChain basicSetNavigationCase(NavigationCaseType newNavigationCase,
                                                    NotificationChain msgs)

  Parameters:
    `newNavigationCase` -
    `msgs` -
  Returns:
    the notification chain

### setNavigationCase

    public void setNavigationCase(NavigationCaseType newNavigationCase)

  Specified by:
    `setNavigationCase` in interface `DocumentRoot`
  Parameters:
    `newNavigationCase` - the new value of the 'Navigation Case' containment reference.
  See Also:
    `DocumentRoot.getNavigationCase()`

### getNavigationHandler

    public NavigationHandlerType getNavigationHandler()

  Specified by:
    `getNavigationHandler` in interface `DocumentRoot`
  Returns:
    the value of the 'Navigation Handler' containment reference.
  See Also:
    `DocumentRoot.setNavigationHandler(NavigationHandlerType)`, `FacesConfigPackage.getDocumentRoot_NavigationHandler()`

### basicSetNavigationHandler

    public NotificationChain basicSetNavigationHandler(NavigationHandlerType newNavigationHandler,
                                                       NotificationChain msgs)

  Parameters:
    `newNavigationHandler` -
    `msgs` -
  Returns:
    the notification chain

### setNavigationHandler

    public void setNavigationHandler(NavigationHandlerType newNavigationHandler)

  Specified by:
    `setNavigationHandler` in interface `DocumentRoot`
  Parameters:
    `newNavigationHandler` - the new value of the 'Navigation Handler' containment reference.
  See Also:
    `DocumentRoot.getNavigationHandler()`

### getNavigationRule

    public NavigationRuleType getNavigationRule()

  Specified by:
    `getNavigationRule` in interface `DocumentRoot`
  Returns:
    the value of the 'Navigation Rule' containment reference.
  See Also:
    `DocumentRoot.setNavigationRule(NavigationRuleType)`, `FacesConfigPackage.getDocumentRoot_NavigationRule()`

### basicSetNavigationRule

    public NotificationChain basicSetNavigationRule(NavigationRuleType newNavigationRule,
                                                    NotificationChain msgs)

  Parameters:
    `newNavigationRule` -
    `msgs` -
  Returns:
    the notification chain

### setNavigationRule

    public void setNavigationRule(NavigationRuleType newNavigationRule)

  Specified by:
    `setNavigationRule` in interface `DocumentRoot`
  Parameters:
    `newNavigationRule` - the new value of the 'Navigation Rule' containment reference.
  See Also:
    `DocumentRoot.getNavigationRule()`

### getNullValue

    public NullValueType getNullValue()

  Specified by:
    `getNullValue` in interface `DocumentRoot`
  Returns:
    the value of the 'Null Value' containment reference.
  See Also:
    `DocumentRoot.setNullValue(NullValueType)`, `FacesConfigPackage.getDocumentRoot_NullValue()`

### basicSetNullValue

    public NotificationChain basicSetNullValue(NullValueType newNullValue,
                                               NotificationChain msgs)

  Parameters:
    `newNullValue` -
    `msgs` -
  Returns:
    the notification chain

### setNullValue

    public void setNullValue(NullValueType newNullValue)

  Specified by:
    `setNullValue` in interface `DocumentRoot`
  Parameters:
    `newNullValue` - the new value of the 'Null Value' containment reference.
  See Also:
    `DocumentRoot.getNullValue()`

### getOrdering

    public OrderingType getOrdering()

  Specified by:
    `getOrdering` in interface `DocumentRoot`
  Returns:
    the value of the 'Ordering' containment reference.
  See Also:
    `DocumentRoot.setOrdering(OrderingType)`, `FacesConfigPackage.getDocumentRoot_Ordering()`

### basicSetOrdering

    public NotificationChain basicSetOrdering(OrderingType newOrdering,
                                              NotificationChain msgs)

  Parameters:
    `newOrdering` -
    `msgs` -
  Returns:
    NotificationChain

### setOrdering

    public void setOrdering(OrderingType newOrdering)

  Specified by:
    `setOrdering` in interface `DocumentRoot`
  Parameters:
    `newOrdering` - the new value of the 'Ordering' containment reference.
  See Also:
    `DocumentRoot.getOrdering()`

### getOrderingOrdering

    public OrderingOrderingType getOrderingOrdering()

  Specified by:
    `getOrderingOrdering` in interface `DocumentRoot`
  Returns:
    the value of the 'Ordering Ordering' containment reference.
  See Also:
    `DocumentRoot.setOrderingOrdering(OrderingOrderingType)`, `FacesConfigPackage.getDocumentRoot_OrderingOrdering()`

### basicSetOrderingOrdering

    public NotificationChain basicSetOrderingOrdering(OrderingOrderingType newOrderingOrdering,
                                                      NotificationChain msgs)

  Parameters:
    `newOrderingOrdering` -
    `msgs` -
  Returns:
    NotificationChain

### setOrderingOrdering

    public void setOrderingOrdering(OrderingOrderingType newOrderingOrdering)

  Specified by:
    `setOrderingOrdering` in interface `DocumentRoot`
  Parameters:
    `newOrderingOrdering` - the new value of the 'Ordering Ordering' containment reference.
  See Also:
    `DocumentRoot.getOrderingOrdering()`

### getOthers

    public OrderingOthersType getOthers()

  Specified by:
    `getOthers` in interface `DocumentRoot`
  Returns:
    the value of the 'Others' containment reference.
  See Also:
    `DocumentRoot.setOthers(OrderingOthersType)`, `FacesConfigPackage.getDocumentRoot_Others()`

### basicSetOthers

    public NotificationChain basicSetOthers(OrderingOthersType newOthers,
                                            NotificationChain msgs)

  Parameters:
    `newOthers` -
    `msgs` -
  Returns:
    NotificationChain

### setOthers

    public void setOthers(OrderingOthersType newOthers)

  Specified by:
    `setOthers` in interface `DocumentRoot`
  Parameters:
    `newOthers` - the new value of the 'Others' containment reference.
  See Also:
    `DocumentRoot.getOthers()`

### getPartialViewContextFactory

    public PartialViewContextFactoryType getPartialViewContextFactory()

  Specified by:
    `getPartialViewContextFactory` in interface `DocumentRoot`
  Returns:
    the value of the 'Partial View Context Factory' containment reference.
  See Also:
    `DocumentRoot.setPartialViewContextFactory(PartialViewContextFactoryType)`, `FacesConfigPackage.getDocumentRoot_PartialViewContextFactory()`

### basicSetPartialViewContextFactory

    public NotificationChain basicSetPartialViewContextFactory(PartialViewContextFactoryType newPartialViewContextFactory,
                                                               NotificationChain msgs)

  Parameters:
    `newPartialViewContextFactory` -
    `msgs` -
  Returns:
    NotificationChain

### setPartialViewContextFactory

    public void setPartialViewContextFactory(PartialViewContextFactoryType newPartialViewContextFactory)

  Specified by:
    `setPartialViewContextFactory` in interface `DocumentRoot`
  Parameters:
    `newPartialViewContextFactory` - the new value of the 'Partial View Context Factory' containment reference.
  See Also:
    `DocumentRoot.getPartialViewContextFactory()`

### getPhaseListener

    public PhaseListenerType getPhaseListener()

  Specified by:
    `getPhaseListener` in interface `DocumentRoot`
  Returns:
    the value of the 'Phase Listener' containment reference.
  See Also:
    `DocumentRoot.setPhaseListener(PhaseListenerType)`, `FacesConfigPackage.getDocumentRoot_PhaseListener()`

### basicSetPhaseListener

    public NotificationChain basicSetPhaseListener(PhaseListenerType newPhaseListener,
                                                   NotificationChain msgs)

  Parameters:
    `newPhaseListener` -
    `msgs` -
  Returns:
    the notification chain

### setPhaseListener

    public void setPhaseListener(PhaseListenerType newPhaseListener)

  Specified by:
    `setPhaseListener` in interface `DocumentRoot`
  Parameters:
    `newPhaseListener` - the new value of the 'Phase Listener' containment reference.
  See Also:
    `DocumentRoot.getPhaseListener()`

### getProperty

    public PropertyType getProperty()

  Specified by:
    `getProperty` in interface `DocumentRoot`
  Returns:
    the value of the 'Property' containment reference.
  See Also:
    `DocumentRoot.setProperty(PropertyType)`, `FacesConfigPackage.getDocumentRoot_Property()`

### basicSetProperty

    public NotificationChain basicSetProperty(PropertyType newProperty,
                                              NotificationChain msgs)

  Parameters:
    `newProperty` -
    `msgs` -
  Returns:
    the notification chain

### setProperty

    public void setProperty(PropertyType newProperty)

  Specified by:
    `setProperty` in interface `DocumentRoot`
  Parameters:
    `newProperty` - the new value of the 'Property' containment reference.
  See Also:
    `DocumentRoot.getProperty()`

### getPropertyClass

    public PropertyClassType getPropertyClass()

  Specified by:
    `getPropertyClass` in interface `DocumentRoot`
  Returns:
    the value of the 'Property Class' containment reference.
  See Also:
    `DocumentRoot.setPropertyClass(PropertyClassType)`, `FacesConfigPackage.getDocumentRoot_PropertyClass()`

### basicSetPropertyClass

    public NotificationChain basicSetPropertyClass(PropertyClassType newPropertyClass,
                                                   NotificationChain msgs)

  Parameters:
    `newPropertyClass` -
    `msgs` -
  Returns:
    the notification chain

### setPropertyClass

    public void setPropertyClass(PropertyClassType newPropertyClass)

  Specified by:
    `setPropertyClass` in interface `DocumentRoot`
  Parameters:
    `newPropertyClass` - the new value of the 'Property Class' containment reference.
  See Also:
    `DocumentRoot.getPropertyClass()`

### getPropertyExtension

    public PropertyExtensionType getPropertyExtension()

  Specified by:
    `getPropertyExtension` in interface `DocumentRoot`
  Returns:
    the value of the 'Property Extension' containment reference.
  See Also:
    `DocumentRoot.setPropertyExtension(PropertyExtensionType)`, `FacesConfigPackage.getDocumentRoot_PropertyExtension()`

### basicSetPropertyExtension

    public NotificationChain basicSetPropertyExtension(PropertyExtensionType newPropertyExtension,
                                                       NotificationChain msgs)

  Parameters:
    `newPropertyExtension` -
    `msgs` -
  Returns:
    the notification chain

### setPropertyExtension

    public void setPropertyExtension(PropertyExtensionType newPropertyExtension)

  Specified by:
    `setPropertyExtension` in interface `DocumentRoot`
  Parameters:
    `newPropertyExtension` - the new value of the 'Property Extension' containment reference.
  See Also:
    `DocumentRoot.getPropertyExtension()`

### getPropertyName

    public PropertyNameType getPropertyName()

  Specified by:
    `getPropertyName` in interface `DocumentRoot`
  Returns:
    the value of the 'Property Name' containment reference.
  See Also:
    `DocumentRoot.setPropertyName(PropertyNameType)`, `FacesConfigPackage.getDocumentRoot_PropertyName()`

### basicSetPropertyName

    public NotificationChain basicSetPropertyName(PropertyNameType newPropertyName,
                                                  NotificationChain msgs)

  Parameters:
    `newPropertyName` -
    `msgs` -
  Returns:
    the notification chain

### setPropertyName

    public void setPropertyName(PropertyNameType newPropertyName)

  Specified by:
    `setPropertyName` in interface `DocumentRoot`
  Parameters:
    `newPropertyName` - the new value of the 'Property Name' containment reference.
  See Also:
    `DocumentRoot.getPropertyName()`

### getPropertyResolver

    public PropertyResolverType getPropertyResolver()

  Specified by:
    `getPropertyResolver` in interface `DocumentRoot`
  Returns:
    the value of the 'Property Resolver' containment reference.
  See Also:
    `DocumentRoot.setPropertyResolver(PropertyResolverType)`, `FacesConfigPackage.getDocumentRoot_PropertyResolver()`

### basicSetPropertyResolver

    public NotificationChain basicSetPropertyResolver(PropertyResolverType newPropertyResolver,
                                                      NotificationChain msgs)

  Parameters:
    `newPropertyResolver` -
    `msgs` -
  Returns:
    the notification chain

### setPropertyResolver

    public void setPropertyResolver(PropertyResolverType newPropertyResolver)

  Specified by:
    `setPropertyResolver` in interface `DocumentRoot`
  Parameters:
    `newPropertyResolver` - the new value of the 'Property Resolver' containment reference.
  See Also:
    `DocumentRoot.getPropertyResolver()`

### getRedirect

    public RedirectType getRedirect()

  Specified by:
    `getRedirect` in interface `DocumentRoot`
  Returns:
    the value of the 'Redirect' containment reference.
  See Also:
    `DocumentRoot.setRedirect(RedirectType)`, `FacesConfigPackage.getDocumentRoot_Redirect()`

### basicSetRedirect

    public NotificationChain basicSetRedirect(RedirectType newRedirect,
                                              NotificationChain msgs)

  Parameters:
    `newRedirect` -
    `msgs` -
  Returns:
    the notification chain

### setRedirect

    public void setRedirect(RedirectType newRedirect)

  Specified by:
    `setRedirect` in interface `DocumentRoot`
  Parameters:
    `newRedirect` - the new value of the 'Redirect' containment reference.
  See Also:
    `DocumentRoot.getRedirect()`

### getRedirectViewParam

    public RedirectViewParamType getRedirectViewParam()

  Specified by:
    `getRedirectViewParam` in interface `DocumentRoot`
  Returns:
    the value of the 'Redirect View Param' containment reference.
  See Also:
    `DocumentRoot.setRedirectViewParam(RedirectViewParamType)`, `FacesConfigPackage.getDocumentRoot_RedirectViewParam()`

### basicSetRedirectViewParam

    public NotificationChain basicSetRedirectViewParam(RedirectViewParamType newRedirectViewParam,
                                                       NotificationChain msgs)

  Parameters:
    `newRedirectViewParam` -
    `msgs` -
  Returns:
    NotificationChain

### setRedirectViewParam

    public void setRedirectViewParam(RedirectViewParamType newRedirectViewParam)

  Specified by:
    `setRedirectViewParam` in interface `DocumentRoot`
  Parameters:
    `newRedirectViewParam` - the new value of the 'Redirect View Param' containment reference.
  See Also:
    `DocumentRoot.getRedirectViewParam()`

### getReferencedBean

    public ReferencedBeanType getReferencedBean()

  Specified by:
    `getReferencedBean` in interface `DocumentRoot`
  Returns:
    the value of the 'Referenced Bean' containment reference.
  See Also:
    `DocumentRoot.setReferencedBean(ReferencedBeanType)`, `FacesConfigPackage.getDocumentRoot_ReferencedBean()`

### basicSetReferencedBean

    public NotificationChain basicSetReferencedBean(ReferencedBeanType newReferencedBean,
                                                    NotificationChain msgs)

  Parameters:
    `newReferencedBean` -
    `msgs` -
  Returns:
    the notification chai

### setReferencedBean

    public void setReferencedBean(ReferencedBeanType newReferencedBean)

  Specified by:
    `setReferencedBean` in interface `DocumentRoot`
  Parameters:
    `newReferencedBean` - the new value of the 'Referenced Bean' containment reference.
  See Also:
    `DocumentRoot.getReferencedBean()`

### getReferencedBeanClass

    public ReferencedBeanClassType getReferencedBeanClass()

  Specified by:
    `getReferencedBeanClass` in interface `DocumentRoot`
  Returns:
    the value of the 'Referenced Bean Class' containment reference.
  See Also:
    `DocumentRoot.setReferencedBeanClass(ReferencedBeanClassType)`, `FacesConfigPackage.getDocumentRoot_ReferencedBeanClass()`

### basicSetReferencedBeanClass

    public NotificationChain basicSetReferencedBeanClass(ReferencedBeanClassType newReferencedBeanClass,
                                                         NotificationChain msgs)

  Parameters:
    `newReferencedBeanClass` -
    `msgs` -
  Returns:
    the notification chain

### setReferencedBeanClass

    public void setReferencedBeanClass(ReferencedBeanClassType newReferencedBeanClass)

  Specified by:
    `setReferencedBeanClass` in interface `DocumentRoot`
  Parameters:
    `newReferencedBeanClass` - the new value of the 'Referenced Bean Class' containment reference.
  See Also:
    `DocumentRoot.getReferencedBeanClass()`

### getReferencedBeanName

    public ReferencedBeanNameType getReferencedBeanName()

  Specified by:
    `getReferencedBeanName` in interface `DocumentRoot`
  Returns:
    the value of the 'Referenced Bean Name' containment reference.
  See Also:
    `DocumentRoot.setReferencedBeanName(ReferencedBeanNameType)`, `FacesConfigPackage.getDocumentRoot_ReferencedBeanName()`

### basicSetReferencedBeanName

    public NotificationChain basicSetReferencedBeanName(ReferencedBeanNameType newReferencedBeanName,
                                                        NotificationChain msgs)

  Parameters:
    `newReferencedBeanName` -
    `msgs` -
  Returns:
    the notification chain

### setReferencedBeanName

    public void setReferencedBeanName(ReferencedBeanNameType newReferencedBeanName)

  Specified by:
    `setReferencedBeanName` in interface `DocumentRoot`
  Parameters:
    `newReferencedBeanName` - the new value of the 'Referenced Bean Name' containment reference.
  See Also:
    `DocumentRoot.getReferencedBeanName()`

### getRenderer

    public RendererType getRenderer()

  Specified by:
    `getRenderer` in interface `DocumentRoot`
  Returns:
    the value of the 'Renderer' containment reference.
  See Also:
    `DocumentRoot.setRenderer(RendererType)`, `FacesConfigPackage.getDocumentRoot_Renderer()`

### basicSetRenderer

    public NotificationChain basicSetRenderer(RendererType newRenderer,
                                              NotificationChain msgs)

  Parameters:
    `newRenderer` -
    `msgs` -
  Returns:
    the notification chain

### setRenderer

    public void setRenderer(RendererType newRenderer)

  Specified by:
    `setRenderer` in interface `DocumentRoot`
  Parameters:
    `newRenderer` - the new value of the 'Renderer' containment reference.
  See Also:
    `DocumentRoot.getRenderer()`

### getRendererClass

    public RendererClassType getRendererClass()

  Specified by:
    `getRendererClass` in interface `DocumentRoot`
  Returns:
    the value of the 'Renderer Class' containment reference.
  See Also:
    `DocumentRoot.setRendererClass(RendererClassType)`, `FacesConfigPackage.getDocumentRoot_RendererClass()`

### basicSetRendererClass

    public NotificationChain basicSetRendererClass(RendererClassType newRendererClass,
                                                   NotificationChain msgs)

  Parameters:
    `newRendererClass` -
    `msgs` -
  Returns:
    the notification chain

### setRendererClass

    public void setRendererClass(RendererClassType newRendererClass)

  Specified by:
    `setRendererClass` in interface `DocumentRoot`
  Parameters:
    `newRendererClass` - the new value of the 'Renderer Class' containment reference.
  See Also:
    `DocumentRoot.getRendererClass()`

### getRendererExtension

    public RendererExtensionType getRendererExtension()

  Specified by:
    `getRendererExtension` in interface `DocumentRoot`
  Returns:
    the value of the 'Renderer Extension' containment reference.
  See Also:
    `DocumentRoot.setRendererExtension(RendererExtensionType)`, `FacesConfigPackage.getDocumentRoot_RendererExtension()`

### basicSetRendererExtension

    public NotificationChain basicSetRendererExtension(RendererExtensionType newRendererExtension,
                                                       NotificationChain msgs)

  Parameters:
    `newRendererExtension` -
    `msgs` -
  Returns:
    the notification chain

### setRendererExtension

    public void setRendererExtension(RendererExtensionType newRendererExtension)

  Specified by:
    `setRendererExtension` in interface `DocumentRoot`
  Parameters:
    `newRendererExtension` - the new value of the 'Renderer Extension' containment reference.
  See Also:
    `DocumentRoot.getRendererExtension()`

### getRendererType

    public RendererTypeType getRendererType()

  Specified by:
    `getRendererType` in interface `DocumentRoot`
  Returns:
    the value of the 'Renderer Type' containment reference.
  See Also:
    `DocumentRoot.setRendererType(RendererTypeType)`, `FacesConfigPackage.getDocumentRoot_RendererType()`

### basicSetRendererType

    public NotificationChain basicSetRendererType(RendererTypeType newRendererType,
                                                  NotificationChain msgs)

  Parameters:
    `newRendererType` -
    `msgs` -
  Returns:
    the notification chain

### setRendererType

    public void setRendererType(RendererTypeType newRendererType)

  Specified by:
    `setRendererType` in interface `DocumentRoot`
  Parameters:
    `newRendererType` - the new value of the 'Renderer Type' containment reference.
  See Also:
    `DocumentRoot.getRendererType()`

### getRenderKit

    public RenderKitType getRenderKit()

  Specified by:
    `getRenderKit` in interface `DocumentRoot`
  Returns:
    the value of the 'Render Kit' containment reference.
  See Also:
    `DocumentRoot.setRenderKit(RenderKitType)`, `FacesConfigPackage.getDocumentRoot_RenderKit()`

### basicSetRenderKit

    public NotificationChain basicSetRenderKit(RenderKitType newRenderKit,
                                               NotificationChain msgs)

  Parameters:
    `newRenderKit` -
    `msgs` -
  Returns:
    the notification chain

### setRenderKit

    public void setRenderKit(RenderKitType newRenderKit)

  Specified by:
    `setRenderKit` in interface `DocumentRoot`
  Parameters:
    `newRenderKit` - the new value of the 'Render Kit' containment reference.
  See Also:
    `DocumentRoot.getRenderKit()`

### getRenderKitClass

    public RenderKitClassType getRenderKitClass()

  Specified by:
    `getRenderKitClass` in interface `DocumentRoot`
  Returns:
    the value of the 'Render Kit Class' containment reference.
  See Also:
    `DocumentRoot.setRenderKitClass(RenderKitClassType)`, `FacesConfigPackage.getDocumentRoot_RenderKitClass()`

### basicSetRenderKitClass

    public NotificationChain basicSetRenderKitClass(RenderKitClassType newRenderKitClass,
                                                    NotificationChain msgs)

  Parameters:
    `newRenderKitClass` -
    `msgs` -
  Returns:
    the notification chain

### setRenderKitClass

    public void setRenderKitClass(RenderKitClassType newRenderKitClass)

  Specified by:
    `setRenderKitClass` in interface `DocumentRoot`
  Parameters:
    `newRenderKitClass` - the new value of the 'Render Kit Class' containment reference.
  See Also:
    `DocumentRoot.getRenderKitClass()`

### getRenderKitFactory

    public RenderKitFactoryType getRenderKitFactory()

  Specified by:
    `getRenderKitFactory` in interface `DocumentRoot`
  Returns:
    the value of the 'Render Kit Factory' containment reference.
  See Also:
    `DocumentRoot.setRenderKitFactory(RenderKitFactoryType)`, `FacesConfigPackage.getDocumentRoot_RenderKitFactory()`

### basicSetRenderKitFactory

    public NotificationChain basicSetRenderKitFactory(RenderKitFactoryType newRenderKitFactory,
                                                      NotificationChain msgs)

  Parameters:
    `newRenderKitFactory` -
    `msgs` -
  Returns:
    the notification chain

### setRenderKitFactory

    public void setRenderKitFactory(RenderKitFactoryType newRenderKitFactory)

  Specified by:
    `setRenderKitFactory` in interface `DocumentRoot`
  Parameters:
    `newRenderKitFactory` - the new value of the 'Render Kit Factory' containment reference.
  See Also:
    `DocumentRoot.getRenderKitFactory()`

### getRenderKitId

    public RenderKitIdType getRenderKitId()

  Specified by:
    `getRenderKitId` in interface `DocumentRoot`
  Returns:
    the value of the 'Render Kit Id' containment reference.
  See Also:
    `DocumentRoot.setRenderKitId(RenderKitIdType)`, `FacesConfigPackage.getDocumentRoot_RenderKitId()`

### basicSetRenderKitId

    public NotificationChain basicSetRenderKitId(RenderKitIdType newRenderKitId,
                                                 NotificationChain msgs)

  Parameters:
    `newRenderKitId` -
    `msgs` -
  Returns:
    the notification chain

### setRenderKitId

    public void setRenderKitId(RenderKitIdType newRenderKitId)

  Specified by:
    `setRenderKitId` in interface `DocumentRoot`
  Parameters:
    `newRenderKitId` - the new value of the 'Render Kit Id' containment reference.
  See Also:
    `DocumentRoot.getRenderKitId()`

### getResourceHandler

    public ResourceHandlerType getResourceHandler()

  Specified by:
    `getResourceHandler` in interface `DocumentRoot`
  Returns:
    the value of the 'Resource Handler' containment reference.
  See Also:
    `DocumentRoot.setResourceHandler(ResourceHandlerType)`, `FacesConfigPackage.getDocumentRoot_ResourceHandler()`

### basicSetResourceHandler

    public NotificationChain basicSetResourceHandler(ResourceHandlerType newResourceHandler,
                                                     NotificationChain msgs)

  Parameters:
    `newResourceHandler` -
    `msgs` -
  Returns:
    NotificationChain

### setResourceHandler

    public void setResourceHandler(ResourceHandlerType newResourceHandler)

  Specified by:
    `setResourceHandler` in interface `DocumentRoot`
  Parameters:
    `newResourceHandler` - the new value of the 'Resource Handler' containment reference.
  See Also:
    `DocumentRoot.getResourceHandler()`

### getSmallIcon

    public SmallIconType getSmallIcon()

  Specified by:
    `getSmallIcon` in interface `DocumentRoot`
  Returns:
    the value of the 'Small Icon' containment reference.
  See Also:
    `DocumentRoot.setSmallIcon(SmallIconType)`, `FacesConfigPackage.getDocumentRoot_SmallIcon()`

### basicSetSmallIcon

    public NotificationChain basicSetSmallIcon(SmallIconType newSmallIcon,
                                               NotificationChain msgs)

  Parameters:
    `newSmallIcon` -
    `msgs` -
  Returns:
    the notification chain

### setSmallIcon

    public void setSmallIcon(SmallIconType newSmallIcon)

  Specified by:
    `setSmallIcon` in interface `DocumentRoot`
  Parameters:
    `newSmallIcon` - the new value of the 'Small Icon' containment reference.
  See Also:
    `DocumentRoot.getSmallIcon()`

### getSourceClass

    public SourceClassType getSourceClass()

  Specified by:
    `getSourceClass` in interface `DocumentRoot`
  Returns:
    the value of the 'Source Class' containment reference.
  See Also:
    `DocumentRoot.setSourceClass(SourceClassType)`, `FacesConfigPackage.getDocumentRoot_SourceClass()`

### basicSetSourceClass

    public NotificationChain basicSetSourceClass(SourceClassType newSourceClass,
                                                 NotificationChain msgs)

  Parameters:
    `newSourceClass` -
    `msgs` -
  Returns:
    NotificationChain

### setSourceClass

    public void setSourceClass(SourceClassType newSourceClass)

  Specified by:
    `setSourceClass` in interface `DocumentRoot`
  Parameters:
    `newSourceClass` - the new value of the 'Source Class' containment reference.
  See Also:
    `DocumentRoot.getSourceClass()`

### getStateManager

    public StateManagerType getStateManager()

  Specified by:
    `getStateManager` in interface `DocumentRoot`
  Returns:
    the value of the 'State Manager' containment reference.
  See Also:
    `DocumentRoot.setStateManager(StateManagerType)`, `FacesConfigPackage.getDocumentRoot_StateManager()`

### basicSetStateManager

    public NotificationChain basicSetStateManager(StateManagerType newStateManager,
                                                  NotificationChain msgs)

  Parameters:
    `newStateManager` -
    `msgs` -
  Returns:
    the notification chain

### setStateManager

    public void setStateManager(StateManagerType newStateManager)

  Specified by:
    `setStateManager` in interface `DocumentRoot`
  Parameters:
    `newStateManager` - the new value of the 'State Manager' containment reference.
  See Also:
    `DocumentRoot.getStateManager()`

### getSuggestedValue

    public SuggestedValueType getSuggestedValue()

  Specified by:
    `getSuggestedValue` in interface `DocumentRoot`
  Returns:
    the value of the 'Suggested Value' containment reference.
  See Also:
    `DocumentRoot.setSuggestedValue(SuggestedValueType)`, `FacesConfigPackage.getDocumentRoot_SuggestedValue()`

### basicSetSuggestedValue

    public NotificationChain basicSetSuggestedValue(SuggestedValueType newSuggestedValue,
                                                    NotificationChain msgs)

  Parameters:
    `newSuggestedValue` -
    `msgs` -
  Returns:
    the notification chain

### setSuggestedValue

    public void setSuggestedValue(SuggestedValueType newSuggestedValue)

  Specified by:
    `setSuggestedValue` in interface `DocumentRoot`
  Parameters:
    `newSuggestedValue` - the new value of the 'Suggested Value' containment reference.
  See Also:
    `DocumentRoot.getSuggestedValue()`

### getSupportedLocale

    public SupportedLocaleType getSupportedLocale()

  Specified by:
    `getSupportedLocale` in interface `DocumentRoot`
  Returns:
    the value of the 'Supported Locale' containment reference.
  See Also:
    `DocumentRoot.setSupportedLocale(SupportedLocaleType)`, `FacesConfigPackage.getDocumentRoot_SupportedLocale()`

### basicSetSupportedLocale

    public NotificationChain basicSetSupportedLocale(SupportedLocaleType newSupportedLocale,
                                                     NotificationChain msgs)

  Parameters:
    `newSupportedLocale` -
    `msgs` -
  Returns:
    the notification chain

### setSupportedLocale

    public void setSupportedLocale(SupportedLocaleType newSupportedLocale)

  Specified by:
    `setSupportedLocale` in interface `DocumentRoot`
  Parameters:
    `newSupportedLocale` - the new value of the 'Supported Locale' containment reference.
  See Also:
    `DocumentRoot.getSupportedLocale()`

### getSystemEventClass

    public SystemEventClassType getSystemEventClass()

  Specified by:
    `getSystemEventClass` in interface `DocumentRoot`
  Returns:
    the value of the 'System Event Class' containment reference.
  See Also:
    `DocumentRoot.setSystemEventClass(SystemEventClassType)`, `FacesConfigPackage.getDocumentRoot_SystemEventClass()`

### basicSetSystemEventClass

    public NotificationChain basicSetSystemEventClass(SystemEventClassType newSystemEventClass,
                                                      NotificationChain msgs)

  Parameters:
    `newSystemEventClass` -
    `msgs` -
  Returns:
    NotificationChain

### setSystemEventClass

    public void setSystemEventClass(SystemEventClassType newSystemEventClass)

  Specified by:
    `setSystemEventClass` in interface `DocumentRoot`
  Parameters:
    `newSystemEventClass` - the new value of the 'System Event Class' containment reference.
  See Also:
    `DocumentRoot.getSystemEventClass()`

### getSystemEventListener

    public SystemEventListenerType getSystemEventListener()

  Specified by:
    `getSystemEventListener` in interface `DocumentRoot`
  Returns:
    the value of the 'System Event Listener' containment reference.
  See Also:
    `DocumentRoot.setSystemEventListener(SystemEventListenerType)`, `FacesConfigPackage.getDocumentRoot_SystemEventListener()`

### basicSetSystemEventListener

    public NotificationChain basicSetSystemEventListener(SystemEventListenerType newSystemEventListener,
                                                         NotificationChain msgs)

  Parameters:
    `newSystemEventListener` -
    `msgs` -
  Returns:
    NotificationChain

### setSystemEventListener

    public void setSystemEventListener(SystemEventListenerType newSystemEventListener)

  Specified by:
    `setSystemEventListener` in interface `DocumentRoot`
  Parameters:
    `newSystemEventListener` - the new value of the 'System Event Listener' containment reference.
  See Also:
    `DocumentRoot.getSystemEventListener()`

### getSystemEventListenerClass

    public SystemEventListenerClassType getSystemEventListenerClass()

  Specified by:
    `getSystemEventListenerClass` in interface `DocumentRoot`
  Returns:
    the value of the 'System Event Listener Class' containment reference.
  See Also:
    `DocumentRoot.setSystemEventListenerClass(SystemEventListenerClassType)`, `FacesConfigPackage.getDocumentRoot_SystemEventListenerClass()`

### basicSetSystemEventListenerClass

    public NotificationChain basicSetSystemEventListenerClass(SystemEventListenerClassType newSystemEventListenerClass,
                                                              NotificationChain msgs)

  Parameters:
    `newSystemEventListenerClass` -
    `msgs` -
  Returns:
    NotificationChain

### setSystemEventListenerClass

    public void setSystemEventListenerClass(SystemEventListenerClassType newSystemEventListenerClass)

  Specified by:
    `setSystemEventListenerClass` in interface `DocumentRoot`
  Parameters:
    `newSystemEventListenerClass` - the new value of the 'System Event Listener Class' containment reference.
  See Also:
    `DocumentRoot.getSystemEventListenerClass()`

### getTagHandlerDelegateFactory

    public TagHandlerDelegateFactoryType getTagHandlerDelegateFactory()

  Specified by:
    `getTagHandlerDelegateFactory` in interface `DocumentRoot`
  Returns:
    the value of the 'Tag Handler Delegate Factory' containment reference.
  See Also:
    `DocumentRoot.setTagHandlerDelegateFactory(TagHandlerDelegateFactoryType)`, `FacesConfigPackage.getDocumentRoot_TagHandlerDelegateFactory()`

### basicSetTagHandlerDelegateFactory

    public NotificationChain basicSetTagHandlerDelegateFactory(TagHandlerDelegateFactoryType newTagHandlerDelegateFactory,
                                                               NotificationChain msgs)

  Parameters:
    `newTagHandlerDelegateFactory` -
    `msgs` -
  Returns:
    NotificationChain

### setTagHandlerDelegateFactory

    public void setTagHandlerDelegateFactory(TagHandlerDelegateFactoryType newTagHandlerDelegateFactory)

  Specified by:
    `setTagHandlerDelegateFactory` in interface `DocumentRoot`
  Parameters:
    `newTagHandlerDelegateFactory` - the new value of the 'Tag Handler Delegate Factory' containment reference.
  See Also:
    `DocumentRoot.getTagHandlerDelegateFactory()`

### getToViewId

    public ToViewIdType getToViewId()

  Specified by:
    `getToViewId` in interface `DocumentRoot`
  Returns:
    the value of the 'To View Id' containment reference.
  See Also:
    `DocumentRoot.setToViewId(ToViewIdType)`, `FacesConfigPackage.getDocumentRoot_ToViewId()`

### basicSetToViewId

    public NotificationChain basicSetToViewId(ToViewIdType newToViewId,
                                              NotificationChain msgs)

  Parameters:
    `newToViewId` -
    `msgs` -
  Returns:
    the notification chain

### setToViewId

    public void setToViewId(ToViewIdType newToViewId)

  Specified by:
    `setToViewId` in interface `DocumentRoot`
  Parameters:
    `newToViewId` - the new value of the 'To View Id' containment reference.
  See Also:
    `DocumentRoot.getToViewId()`

### getValidator

    public ValidatorType getValidator()

  Specified by:
    `getValidator` in interface `DocumentRoot`
  Returns:
    the value of the 'Validator' containment reference.
  See Also:
    `DocumentRoot.setValidator(ValidatorType)`, `FacesConfigPackage.getDocumentRoot_Validator()`

### basicSetValidator

    public NotificationChain basicSetValidator(ValidatorType newValidator,
                                               NotificationChain msgs)

  Parameters:
    `newValidator` -
    `msgs` -
  Returns:
    the notification chain

### setValidator

    public void setValidator(ValidatorType newValidator)

  Specified by:
    `setValidator` in interface `DocumentRoot`
  Parameters:
    `newValidator` - the new value of the 'Validator' containment reference.
  See Also:
    `DocumentRoot.getValidator()`

### getValidatorClass

    public ValidatorClassType getValidatorClass()

  Specified by:
    `getValidatorClass` in interface `DocumentRoot`
  Returns:
    the value of the 'Validator Class' containment reference.
  See Also:
    `DocumentRoot.setValidatorClass(ValidatorClassType)`, `FacesConfigPackage.getDocumentRoot_ValidatorClass()`

### basicSetValidatorClass

    public NotificationChain basicSetValidatorClass(ValidatorClassType newValidatorClass,
                                                    NotificationChain msgs)

  Parameters:
    `newValidatorClass` -
    `msgs` -
  Returns:
    NotificationChain

### setValidatorClass

    public void setValidatorClass(ValidatorClassType newValidatorClass)

  Specified by:
    `setValidatorClass` in interface `DocumentRoot`
  Parameters:
    `newValidatorClass` - the new value of the 'Validator Class' containment reference.
  See Also:
    `DocumentRoot.getValidatorClass()`

### getValidatorId

    public ValidatorIdType getValidatorId()

  Specified by:
    `getValidatorId` in interface `DocumentRoot`
  Returns:
    the value of the 'Validator Id' containment reference.
  See Also:
    `DocumentRoot.setValidatorId(ValidatorIdType)`, `FacesConfigPackage.getDocumentRoot_ValidatorId()`

### basicSetValidatorId

    public NotificationChain basicSetValidatorId(ValidatorIdType newValidatorId,
                                                 NotificationChain msgs)

  Parameters:
    `newValidatorId` -
    `msgs` -
  Returns:
    the notification chain

### setValidatorId

    public void setValidatorId(ValidatorIdType newValidatorId)

  Specified by:
    `setValidatorId` in interface `DocumentRoot`
  Parameters:
    `newValidatorId` - the new value of the 'Validator Id' containment reference.
  See Also:
    `DocumentRoot.getValidatorId()`

### getValue

    public ValueType getValue()

  Specified by:
    `getValue` in interface `DocumentRoot`
  Returns:
    the value of the 'Value' containment reference.
  See Also:
    `DocumentRoot.setValue(ValueType)`, `FacesConfigPackage.getDocumentRoot_Value()`

### basicSetValue

    public NotificationChain basicSetValue(ValueType newValue,
                                           NotificationChain msgs)

  Parameters:
    `newValue` -
    `msgs` -
  Returns:
    the notification chain

### setValue

    public void setValue(ValueType newValue)

  Specified by:
    `setValue` in interface `DocumentRoot`
  Parameters:
    `newValue` - the new value of the 'Value' containment reference.
  See Also:
    `DocumentRoot.getValue()`

### getValueClass

    public ValueClassType getValueClass()

  Specified by:
    `getValueClass` in interface `DocumentRoot`
  Returns:
    the value of the 'Value Class' containment reference.
  See Also:
    `DocumentRoot.setValueClass(ValueClassType)`, `FacesConfigPackage.getDocumentRoot_ValueClass()`

### basicSetValueClass

    public NotificationChain basicSetValueClass(ValueClassType newValueClass,
                                                NotificationChain msgs)

  Parameters:
    `newValueClass` -
    `msgs` -
  Returns:
    the notification chain

### setValueClass

    public void setValueClass(ValueClassType newValueClass)

  Specified by:
    `setValueClass` in interface `DocumentRoot`
  Parameters:
    `newValueClass` - the new value of the 'Value Class' containment reference.
  See Also:
    `DocumentRoot.getValueClass()`

### getVariableResolver

    public VariableResolverType getVariableResolver()

  Specified by:
    `getVariableResolver` in interface `DocumentRoot`
  Returns:
    the value of the 'Variable Resolver' containment reference.
  See Also:
    `DocumentRoot.setVariableResolver(VariableResolverType)`, `FacesConfigPackage.getDocumentRoot_VariableResolver()`

### basicSetVariableResolver

    public NotificationChain basicSetVariableResolver(VariableResolverType newVariableResolver,
                                                      NotificationChain msgs)

  Parameters:
    `newVariableResolver` -
    `msgs` -
  Returns:
    the notification chain

### setVariableResolver

    public void setVariableResolver(VariableResolverType newVariableResolver)

  Specified by:
    `setVariableResolver` in interface `DocumentRoot`
  Parameters:
    `newVariableResolver` - the new value of the 'Variable Resolver' containment reference.
  See Also:
    `DocumentRoot.getVariableResolver()`

### getViewDeclarationLanguageFactory

    public ViewDeclarationLanguageFactoryType getViewDeclarationLanguageFactory()

  Specified by:
    `getViewDeclarationLanguageFactory` in interface `DocumentRoot`
  Returns:
    the value of the 'View Declaration Language Factory' containment reference.
  See Also:
    `DocumentRoot.setViewDeclarationLanguageFactory(ViewDeclarationLanguageFactoryType)`, `FacesConfigPackage.getDocumentRoot_ViewDeclarationLanguageFactory()`

### basicSetViewDeclarationLanguageFactory

    public NotificationChain basicSetViewDeclarationLanguageFactory(ViewDeclarationLanguageFactoryType newViewDeclarationLanguageFactory,
                                                                    NotificationChain msgs)

  Parameters:
    `newViewDeclarationLanguageFactory` -
    `msgs` -
  Returns:
    NotificationChain

### setViewDeclarationLanguageFactory

    public void setViewDeclarationLanguageFactory(ViewDeclarationLanguageFactoryType newViewDeclarationLanguageFactory)

  Specified by:
    `setViewDeclarationLanguageFactory` in interface `DocumentRoot`
  Parameters:
    `newViewDeclarationLanguageFactory` - the new value of the 'View Declaration Language Factory' containment reference.
  See Also:
    `DocumentRoot.getViewDeclarationLanguageFactory()`

### getViewHandler

    public ViewHandlerType getViewHandler()

  Specified by:
    `getViewHandler` in interface `DocumentRoot`
  Returns:
    the value of the 'View Handler' containment reference.
  See Also:
    `DocumentRoot.setViewHandler(ViewHandlerType)`, `FacesConfigPackage.getDocumentRoot_ViewHandler()`

### basicSetViewHandler

    public NotificationChain basicSetViewHandler(ViewHandlerType newViewHandler,
                                                 NotificationChain msgs)

  Parameters:
    `newViewHandler` -
    `msgs` -
  Returns:
    the notification chain

### setViewHandler

    public void setViewHandler(ViewHandlerType newViewHandler)

  Specified by:
    `setViewHandler` in interface `DocumentRoot`
  Parameters:
    `newViewHandler` - the new value of the 'View Handler' containment reference.
  See Also:
    `DocumentRoot.getViewHandler()`

### getVisitContextFactory

    public VisitContextFactoryType getVisitContextFactory()

  Specified by:
    `getVisitContextFactory` in interface `DocumentRoot`
  Returns:
    the value of the 'Visit Context Factory' containment reference.
  See Also:
    `DocumentRoot.setVisitContextFactory(VisitContextFactoryType)`, `FacesConfigPackage.getDocumentRoot_VisitContextFactory()`

### basicSetVisitContextFactory

    public NotificationChain basicSetVisitContextFactory(VisitContextFactoryType newVisitContextFactory,
                                                         NotificationChain msgs)

  Parameters:
    `newVisitContextFactory` -
    `msgs` -
  Returns:
    NotificationChain

### setVisitContextFactory

    public void setVisitContextFactory(VisitContextFactoryType newVisitContextFactory)

  Specified by:
    `setVisitContextFactory` in interface `DocumentRoot`
  Parameters:
    `newVisitContextFactory` - the new value of the 'Visit Context Factory' containment reference.
  See Also:
    `DocumentRoot.getVisitContextFactory()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### toString

    public java.lang.String toString()